CineSuite Manager Menus

Below are all the menu items for the CineSuite Manager. Following each menu item is a small description and many have links to other parts of the help system with more detailed information. Many of the menu items below are also available through the convenience of the toolbar

File
  • New
    • Program
      • CNA-100/150 - Creates a new blank CNA-100/150 program for editing in a CNA-100/150 edit window.. Also displays the CNA-100/150 program instructions window.
      • CNA-200 - Creates a new blank CNA-200 program for editing in a CNA-200 edit window. Also displays the CNA-200 program instructions window.
    • Program Set
      • CNA-100/150 - Creates a new blank CNA-100/150 program set for editing in a CNA-100/150 edit window. Also displays the CNA-100/150 program instructions window.
      • CNA-200 - Creates a new blank CNA-200 program set for editing in a CNA-200 edit window. Also displays the CNA-200 program instructions window.
      • A program set is a set of all nine programs stored in a CNA automations. A program set allows the user to create/modify/load/save all programs for a CNA automation as a single file.
    • Supervisory Record - Opens a new Supervisory Record file for editing in a supervisory edit window. All supervisory settings are initialized to default values.
    • Show Schedule - Opens a new blank Show Schedule for editing in a show schedule edit window. The show schedule tools window is also displayed.
    • Facility Schedule - Opens a new blank Facility Schedule for editing in a facility schedule edit window. The user is asked for the number of screens and the facility schedule is initialized to the selected number of screens. The show schedule tools window is also displayed.
  • Open
    • From File - Allows the user to open a CNA file from disk. The user is presented with a file selection window to select the desired file. The selected file is then opened in the appropriate edit window automatically as determined by the file type.
    • From Automation - Allows the user to open a CNA file from a CNA automation connected to a CineSuite CineNet Driver application. The user is presented with a CNA file selection box to select the desired CNA file. The selected file is the loaded from the CNA automation and opened in the appropriate edit window automatically as determined by the file type.
  • Save
    • To File - Allows the user to save the currently selected CNA file to disk. The user is presented with a file save window to enter the file name.
    • To Automation - Allows the user to save the currently selected CNA file to any number of CNA automations. The user is presented with a CNA automation file save window where they pick which CNA automations are to receive the file. Users are limited to only choosing automations that match the current file type.
  • File Transfer - Allows the user to quickly and easily transfer files between automations or from disk to automations.
  • Advanced
    • Device Flash Upgrade - Allows the user to update the software at a number of CNA devices. Use with caution. Devices may loose data or functionality if not upgraded correctly.
  • Print - Allows the user to print the current file to a printer.
  • Enterprise Setup - Displays the Connection Setup window allowing the user to edit the CineSuite Network Router settings.
  • Reconnect to Router - This menu item is only displayed if the CineSuite Manager is not connected to the CineSuite Network Router. Selecting this menu item will cause the CineSuite Manager to try to connect to the CineSuite Router using the current connection settings.
  • Default CineNet Driver - Displays the Select CineNet Driver window allowing the user to select the default CineNet Driver to user for all file transfers to CNA devices.
  • Exit - Exits program. User is prompted to save any modified files before the program closes.

View
  • Program Instructions - Enabled only if user is currently editing a CNA-100/150 or CNA-200 program. Displays the CNA program instructions window.
  • Schedule Tools - Enabled only if user is currently editing a Show Schedule or Facility Schedule. Displays the Show Schedule Tools window.
  • Preferences - Displays the Preferences window allowing the user to set the appearance of the screen as they prefer.

Edit
  • Copy - Copies information from the current edit window to a buffer. This data is not copied to the Windows clipboard and cannot be pasted into other applications. The name of this menu item changes to reflect the data to be copied from the current edit window.
  • Paste - Pastes the information in the buffer to the current edit window. This control is only enabled if the type of data in the buffer matches the type of data in the edit window. The name of this menu item changes to reflect the type of data stored in the buffer.

Show Log
  • View Show Log - Allows the user to display shows logged by CineNet Driver application based on search criteria entered by the user. (CNA automations must be set up to send show information to the CineNet Driver before show logs are created.)
  • Setup Operator IDs - Allows manager to create operator IDs that can be entered into the CNA automations for recording of additional show information. The operator IDs are then de-referenced to extract the user name for display on the Show Log window.

Monitors
  • LSN Network Status - Displays an LSN Status window showing all the current CNA devices connected to an LSN Network communicating with a user selected CineNet Driver application.
  • CNA Monitor - Displays a CNA Monitor window showing the current program status of all CNA automations connected to an LSN Network communicating with a user selected CineNet Driver application.
  • Load Template - Loads a monitor template saved with Save Template.
  • Save Template - Allows the user to save location and CineNet Driver connection information for all LSN Network Status windows and CNA Monitor windows currently open. This allows a user to set up LSN Network Monitors and CNA Monitors to monitor a number of locations and save the setup and load it later without having to re-open all the specific windows.
  • Check Software Versions - Checks the software version of all CNA devices in the currently selected LSN Network Status window. The results of any CNA devices with different versions of software installed are then displayed.
  • CNA Monitor Settings - Displays the Monitor Settings window allowing the user to determine which CNA Monitor data is displayed in the window.

Paging
  • Send Message - Displays the Send Message window allowing the user to send a page to any of the previously created CineSuite pagers.
  • VNC Paging Setup - Displays the VNC Paging Setup window allowing the user to set up the VNC paging system.
  • PC Paging Setup
    • Message Setup - Displays the Event Message Setup window allowing the user to modify the text sent to the pagers for CNA automation events..
    • Message Filter Setup - Displays the Message Filter Setup window allowing the user to determine which pagers receive which messages from which automations.

Users
  • Log On - Displays the User Log On window allowing the user to log on. A user must log on to gain full functionality of transferring data to and from the CNA automations.
  • Change Password - Displays the Change Password window allowing the user to change their password.

Windows
  • Cascade - Arranges all opened edit windows in an cascade fashion.
  • Tile Horizontal - Tiles all opened edit windows in a horizontal fashion.
  • Tile Vertical - Tiles all opened edit windows in a vertical fashion.
  • Window List - Lists all opened edit windows. Any window can be selected by selecting it's menu item on this list.

Help
  • Help - Displays the help reference.
  • About - Displays About window showing information about CineSuite Manager.

Strong International


CineSuite Overview

CineSuite is designed to be an enterprise wide software solution. This is accomplished by creating separate CineSuite applications that perform different functions. By separating the software applications, the flexibility of the CineSuite enterprise is significantly increased. Applications are not required to be running on the same computer, or even in the same building. Communication between the modules is through the Internet standard TCP/IP protocol. TCP/IP communications are virtually boundless. The connections can be made on the same PC, across an Ethernet connection or through the Internet. The various CineSuite applications do not have reside on the same PC or even in the same building or same city.

Below is an illustration showing the complete CineSuite connection scheme. The CineSuite Location Server shown on this illustration allows CineSuite Routers to communicate with each other without them knowing each others IP address. Each CineSuite Router is connected to the CineSuite Location Server and the CineSuite Location Server will then find the correct CineSuite Router and forward any data. This is only necessary if connecting CineSuite Routers together across the Internet or a WAN.

The next illustration shows how the CineNet LSN network is connected to the CineNet Driver and how CineSuite clients communicate with the CineNet Driver. Any number of CineSuite clients can be connected to the CineSuite Router and communicate with the CineNet Driver. Some CineSuite clients can also communicate with each other but most of the CineSuite clients are made to communicate with the CineNet Driver since this application provides most of the data for the CNA automations on the LSN network.


Copyright

Copyright Information

Information in this document is subject to change without notice. Unauthorized reproduction or distribution of these documents, or any portion of them, without prior written consent of EPRAD, Incorporated, may result in severe civil and criminal penalties and will be prosecuted to the maximum extent possible under the law.

© 1997 - 2000 EPRAD Incorporated. All rights reserved.


CineSuite Manager Startup

Start the CineSuite Manager application by selecting the Program/CineSuite/CineSuite Manager item on the Start menu. When the application is started the first time, the user will be prompted to configure the application with the proper information.

The first piece of information necessary is CineSuite Network Router connection information. The CineSuite Network Router should already be set-up and running on a computer. In the Location of Router field, enter the name of the computer the CineSuite Network Router is running on. (If the router is running on the same computer as the CineSuite Manager, enter "localhost" in this field.) The name of the computer the CineSuite Router is running on can be determined by clicking on the CineSuite Network Router ‘Help/About' menu item.

Also enter a CineSuite Reference Name for this client. This should likely be the name of the theatre facility followed by CineSuite Manager. This is the reference name that will appear on other CineSuite applications.

At this point, the CineSuite Manager should try to connect to the CineSuite Network Router. When it connects to the router, a User Log On window will appear. Log onto the CineSuite Manager using a log in name and password that provides access to this application. (See the CineSuite Network Router help reference for information regarding user access.)

After the initial log on, the CineSuite Manager will display the following message box. If a CineNet Driver is already running and connected to the CineSuite Network Router, click on the Yes button. Otherwise, click on the No button because there will not be any CineNet Driver to select.

If the Yes button was clicked, the Select CineNet Driver window will appear. Select the CineNet Driver to be used as the default CineNet Driver. This selection can be easily changed by selecting the 'File/Default CineNet Driver' menu item.

The CineSuite Manager should now be ready to use. If you are not familiar with the CineSuite Manager, you may want to view the Quick Tutor.


CineSuite Manager Toolbar

The CineSuite Manager Toolbar give the user quick access to the most commonly used features of the CineSuite Manager. Below is a description of each toolbar item and the action it performs. More information for the toolbars that have menu item selection equivalents can be found under the menu items in the CineSuite Manager Menus help page.

Clicking on the small arrow displays a selection menu. Selecting an item from the menu opens an editor window of the selected type with a blank file for editing. Same as selecting 'File/New' menu item. See Creating a New CNA File for details.
Allows the user to save the currently active editor file to disk. Same as selecting 'File/Save/To File' menu item. See Saving CNA Files to Disk for details.
Allows the user to open a CNA file from disk. Same as selecting 'File/Open/From Disk' menu item. See Opening CNA File from Disk for details.
Allows the user to send a CNA file to an automation. Same as selecting 'File/Save/To Automation' menu item. See Saving CNA File to an Automation for details.
Allows the user to get a CNA file from an automation. Same as selecting 'File/Open/From Automation' menu item. See Open CNA Files From an Automation for details.
Allows the user to print the currently active editor window's file to the printer. Same as selecting 'File/Print' menu item. See Printing for details.
Copies the currently active editor window's data to the CineSuite Manager clipboard. Same as selecting 'Edit/Copy' menu item.
Pastes the data from the CineSuite Manager clipboard to the currently active editor window. Same as selecting 'Edit/Paste' menu item.
Displays the LSN Network Status monitor for the default CineNet Driver. Similar to selecting 'File/Open/Status Window' except user cannot choose CineNet Driver. See LSN Network Status for details.
Displays the CNA Monitor for the default CineNet Driver. Similar to selecting 'File/Open/Status Window' except user cannot choose CineNet Driver. See CNA Monitor for details.
Loads the Facility Schedule from the default CineNet Driver. Similar to the 'File/Open/From Automation' menu item except the user cannot choose the file to open or the CineNet Driver. See Facility Schedule for details.


Quick Tutor

The Quick Tutor will help you get started with the basics of using the CineSuite Manager. Select one of the links below to get started.

Logging on

Creating a new CNA file
Opening a CNA file from disk
Opening a CNA file from an automation

Saving CNA files to disk
Saving CNA files to automations

Copying files to automations

Displaying the Remote Monitor
Displaying the LSN Network Status

Setting preferences

Connecting with CineSuite Network Router
Selecting Default CineNet Driver


Logging On

Every time the CineSuite Manager connects to the CineSuite Network Router, the user is presented with the User Log On window. The user must then enter a valid user name and password. These user names and passwords were created using the CineSuite Network Router.

The user name and password are case sensitive. They must be entered exactly the same as when the user was set up or when a new password was entered.

When a user name and password has been entered, the Accept button will be enabled. When the Accept button is clicked, the information is sent to the CineSuite Network Router to check for user access. If the log on fails, an Access Denied message box will be displayed. The User Log On window will be displayed again and the user can again try to log on.

To log on using a different user log on name (possibly one with greater access rights), select the 'Users/Log On' menu item.


Creating a New CNA File

To create any type of new blank CNA file, select the 'File/New' menu item. Depending on the type of file you select, the appropriate edit window will be opened.

  • Program
    • CNA-100/150 - Creates a new blank CNA-100/150 program for editing in a CNA-100/150 edit window.. Also displays the CNA-100/150 program instructions window.
    • CNA-200 - Creates a new blank CNA-200 program for editing in a CNA-200 edit window. Also displays the CNA-200 program instructions window.
  • Program Set
    • CNA-100/150 - Creates a new blank CNA-100/150 program set for editing in a CNA-100/150 edit window. Also displays the CNA-100/150 program instructions window.
    • CNA-200 - Creates a new blank CNA-200 program set for editing in a CNA-200 edit window. Also displays the CNA-200 program instructions window.
    • A program set is a set of all nine programs stored in a CNA automations. A program set allows the user to create/modify/load/save all programs for a CNA automation as a single file.
  • Supervisory Record - Opens a new Supervisory Record file for editing in a supervisory edit window. All supervisory settings are initialized to default values.
  • Show Schedule - Opens a new blank Show Schedule for editing in a show schedule edit window. The show schedule tools window is also displayed.
  • Facility Schedule - Opens a new blank Facility Schedule for editing in a facility schedule edit window. The user is asked for the number of screens and the facility schedule is initialized to the selected number of screens. The show schedule tools window is also displayed.


Opening CNA File From Disk

To open a CNA file saved to a disk, select the 'File/Open/From File' menu item. The CineSuite Manage will display the Open File window.

The Open File window is a standard file selection window. Select the directory and file you would like to open. The CineSuite Manager will open the appropriate edit window and display the selected file for editing.

File Types

Each type of CineSuite file is given a default extension when the file is saved. Below is a list showing each file type extension.

  • CS1 - CNA-100/150 Program
  • CP1 - CNA-100/150 Program Set
  • CS2 - CNA-200 Program
  • CP2 - CNA-200 Program Set
  • CSP - Supervisory File
  • CSH - Show Schedule
  • CFS - Facility Schedule

The types of files displayed in the open file window can be limited by selecting the files you would like to open in the 'Files of Type' selection box. When a specific file type is selected, only files of that type are displayed in the Open Files window. To display all files, select the 'All Files (*.*)' selection.

The above example shows how only CNA-100 program files are displayed.


Opening CNA Files From An Automation

To open a CNA file from an automation, select the 'File/Open/From Automations' menu item. The CineSuite Manage will display the Select CNA File window.

The Select CNA File window will display all the CNA automations connected to the default CineNet Driver and a Facility Schedule selection.

To see the files available at each automation, click on the plus sign to the left of the automation or double click on the automation. Select the files to load from the CNA automations. Multiple files can be loaded by selecting all the files to load. The CineSuite Manager will open an edit window for each file to be opened and request the file from the appropriate automation. A maximum of 20 files to be downloaded at one time.

Multiple files can also be selected by holding the mouse button and dragging the mouse over the files to be selected. Multiple selected files can also be un-selected by holding the mouse button and dragging the mouse over the files to be un-selected.

Remote CineNet Drivers

If files are to be loaded from automations connected to a different CineNet Driver click the Go To Network button. This will display all the CineNet Drivers connected to all CineSuite Network Routers communicating through the CineSuite Location Server.

Select the files to load. Multiple files can also be selected through the network and files can be selected for automations at different locations on the network. The current user must have full remote access to load files from across the network.


Saving CNA Files To Disk

To save a CNA file to a disk, select the 'File/Save/To File' menu item. (This menu item will only be enabled if an edit window is currently the active window.) The CineSuite Manage will display the Save File window.

File Types

Different types of CNA files are given different file extensions. Only files of the same type are displayed in the File Save window. The file extension is determined by the type of file being saved. Below is a list showing each file type extension.

  • CS1 - CNA-100/150 Program
  • CP1 - CNA-100/150 Program Set
  • CS2 - CNA-200 Program
  • CP2 - CNA-200 Program Set
  • CSP - Supervisory File
  • CSH - Show Schedule
  • CFS - Facility Schedule

Select the directory where you want to save the file and give the file a name. The CineSuite Manager will automatically apply the correct file extension to the file before saving it.


Saving CNA File to an Automation

To save a CNA file to an automation, select the 'File/Save/To Automations' menu item. The CineSuite Manage will display the Saving CNA File window. The Saving CNA File window will display only the CNA automations connected to the default CineNet Driver that can receive the file to be saved.

To choose where to save the file, click on the plus sign to the left of the automation or double click on the automation. Select the file locations on the CNA automations where the file is to be saved. The file can be saved to more than one automation and the CNA Programs can be saved to multiple file locations on a single automation. There is no limit to the number of file locations where the file can be saved. Multiple files can also be selected by holding the mouse button and dragging the mouse over the files to be selected. Multiple selected files can also be un-selected by holding the mouse button and dragging the mouse over the files to be un-selected.

When the Accept button is clicked, a Transfer Log window will be displayed. This window will show the status of all the files being saved to the automations.

If there is a problem with saving a file, the problem will be displayed on the log window and after all files have been transferred, a message box will be displayed informing the user to examine the log window for the problem.

Remote CineNet Drivers

If files are to be saved to automations connected to a different CineNet Driver click the Go To Network button. This will display all the CineNet Drivers connected to all CineSuite Network Routers communicating through the CineSuite Location Server.

Select the file locations to save the file. Multiple files can be selected through the network and files can be selected for automations at different locations on the network. The current user must have full remote access to save files from across the network.


File Transfer

To copy files between automations or from files on disk to automations, select the 'File/File Transfer' menu item. This will display the CNA File Transfer window.

Using the CNA File Transfer window, files can be copied from an automation or from disk to any number of other automations.

Copying Files From An Automation

To copy from one automation to other automations, the automation for the source files must first be selected. This is done by selecting the From Automation selection and then clicking on the Select button. This will display the Select CNA Device window.

Select the CNA Automation to use for the source files. If the source CNA file is on an automation connected to another CineNet Driver, click on the Go To Network button and select the automation on the network.

Copying Files From Disk

To copy files from disk to the automations, the source files must first be selected. This is done by selecting the From Disk selection and the clicking on the Select button. This will display the Select CNA Files window.

Select each of the file types to be copied to the automations. If a file type is NOT to be copied, it does not have to be selected. Clicking on the Browse button will display a file selection box. Only files matching the correct file extension will be displayed in the file selection box. As each file is selected, it's full path and filename will be displayed in the appropriate field.

If a type of file is not selected, a message box will appear when the Accept button is clicked informing the user of the missing file type. The user may then decide to continue without the missing file or return to the Select CNA Files window and select the file.

Selecting Files to Transfer

After a file source has been selected from either an automation or from disk, the available files to be transferred will be displayed in the source files list. Also, all automations connected to the default CineNet Driver that can accept files of the selected type are displayed in the destination list.

Select each file to be transferred. Multiple files can be selected by holding the mouse button and dragging the mouse over the files to be selected. Multiple files and also be un-selected by holding the mouse button and dragging the mouse over the files to be un-selected.

Selecting Destination CNA Automations

After the source files have been selected, select the destination automations. The automations initially displayed are those automations connected to the default CineNet Driver. If the destination automations are connected to a different CineNet Driver, click on the Go To Network button.

Select all automations that are to receive the selected files. Multiple files can be selected or un-selected by holding the mouse button and dragging the mouse over the automations. There is no limit to the number of automations that can be selected to receive the files.

Starting Transfer of Files

After at least one source file and one destination automation has been selected, the Begin button will be enabled. Clicking on the Begin button will start the file transfer. The user will not be able to make any changes to the selected files or automations until the transfer is complete or the user clicks on the cancel button and clears the log.

Source Transfer Log

As each source file is loaded from disk or downloaded from the source automation, the status is displayed in the source files list.

If there is a problem with getting any file, the problem is displayed in the source log window. Also, after all source files have been loaded, if there was a problem with any of the files, a message box is displayed alerting the user to the problem and allowing them to abort the transfer.

If the user chooses to continue with the transfer after a source file problem has been encountered, only those files loaded successfully will be transferred.

Destination Transfer Log

After all the source files have been loaded, the program will automatically start sending the files to the appropriate automations. When the transfer begins, the destination log will show all the automations and all the files to be transferred. As each file is transferred, the status is logged in this window.

If there is a problem with transferring a file to a destination automation, the problem is displayed in the destination log window. Also, after all files have been transferred, if there is a problem with any of the files, a message box is displayed alerting the user to the problem.

If all files have been transferred without error, a Send Complete message box will appear indicating the completion of the transfer.

Clearing the Log

After completion or cancellation of the file transfer, the source and destination windows show the status of all the file transfers. These will remain displayed until the Clear Log button is clicked. The user will not be able to edit the selections in either log window until the logs are cleared.


CNA Monitor

The CNA Monitor window displays real time information for all CNAs connected to a CineNet Driver. Information such as the Running Status, Sync Loop, Cue Number, Faults, etc. are displayed on the CNA Monitor window. The CNA Monitor Settings window is used to determine which items are displayed on the CNA Monitor. When the status of one of these items changes, it is immediately updated on this window.

To display the CNA Monitor window for the default CineNet Driver's automations, click on the Monitor toolbar button. This button will only display the CNA Monitor window for the default CineNet Driver's automations.

If a CNA Monitor window for another CineNet Driver's automations is to be displayed, select the 'File/Open/Status Windows' menu item. This will display the Select CNA Files window. Only the LSN Network Status and CNA Monitor items will be available for selection.

To select a CNA Monitor window for a different CineNet Driver's automations, click on the Go To Network button. The Select CNA Files window will then display all CineNet Drivers on the network. Select the CNA Monitor for the CineNet Driver's automations to be monitored.

If a CNA Monitor is selected for a CineNet Driver's automations that already has an open window, a new window is NOT created. Instead, the already opened CNA Monitor window will be brought to the front of all the other windows.

Saving and restoring multiple CNA Monitor windows (Templates)

More than one CNA Monitor window can be displayed on the CineSuite Manager allowing the user to monitor multiple sights. Select the CNA Monitor for each CineNet Driver's automations to be monitored. A CNA Monitor window will be opened for each selection.

The CineSuite Manager offers the ability to save and restore multiple CNA Monitor windows and LSN Network Status windows. This gives the user the ability to monitor regions of theatres while saving and loading the settings when desired.

The Save Template and Load Template menu items perform the function of saving and loading the CNA Monitor and LSN Network Status window positions and connection information. Selecting the Save Template will save the current position and connection information of each CNA Monitor and LSN Network Status window currently open. Selecting Load Template will load a previously saved template, display each CNA Monitor or LSN Network Status window and attempt to reconnect each monitor window to the appropriate CineNet Driver. If any connection fails, the window will display the problem.

The CNA Monitor window's appearance can also be changed by setting the preferences and CNA Monitor settings.


LSN Network Status

The LSN Network Status window displays the network status of the devices connected to a CineNet Driver. Information such as software version and LIN devices can be viewed using the LSN Network Status window. If the status of an LSN device changes, the status is updated in this window. If the user selects Automatic LIN Updates, changes to LIN device status will also be displayed in this window.

To display the LSN Network Status window for the default CineNet Driver, click on the LSN Status toolbar button. This button will only display the LSN Network Status window for the default CineNet Driver.

If an LSN Network Status window for another CineNet Driver is to be displayed, select the 'File/Open/Status Windows' menu item. This will display the Select CNA Files window. Only the LSN Network Status and CNA Monitor items will be available for selection.

To select an LSN Network Status window for a different CineNet Driver, click on the Go To Network button. The Select CNA Files window will then display all CineNet Drivers on the network. Select the LSN Network Status for the CineNet Driver to be viewed.

If an LSN Network Status window is selected for a CineNet Driver that already has an open window, a new window is NOT created. Instead, the already opened LSN Network Status window will be brought to the front of all the other windows.

LSN/LIN Status

After the LSN Status Window receives the information for all the devices on the LSN network, a request is sent out to each device requesting the LIN status information.

When the LIN device information is received, it is checked to determine if any LIN devices are currently showing errors. If an LIN device is showing an error condition, that LIN device will automatically be made visible in the LSN Network Status Window.

Below is a table of icons and what they represent on the LSN Network Status window.

- Gateway or VNC
- CNA-100 Automation connected
- CNA-150 Automation connected
- CNA-200 Automation connected
- RSM-10 or RCM-10 Remote Monitor connected
- LIN Device connected and communicating without errors
- LIN Device connected and communicating but reporting errors
- LSN or LIN device was connected but is not longer connected or communicating

To get more detailed information about any device on the LSN or LIN network, double click on the device with the mouse button. This will display the CineNet Device Details window. This window is display information out each device including software checksum, software version, jumper or dip switch settings, some status conditions. (Not all information is reported by all devices.)

Software Version Checking

When the LSN Network Window is the active window, the user can have the CineSuite Manager check the version of the software for each device on the LSN network to make sure all devices are running the same software version.

This is done by selecting the 'Monitors/Check Software Versions' menu item. After the checking is complete, the CineSuite Manager will display a message box indicating the results of the check. If there are differences, the software version of each device is displayed so the user can determine which software version they are all supposed to be.

Automatic LIN Updates

The LSN Network Status window displays both the LSN devices and the LIN devices connected to each LSN device. LSN Device status is updated whenever the status of the device changes (that is devices are added to or removed from the network). LIN device status is not updated unless the user selects one of the Automatic LIN Updates selections.

  • None - The CineSuite Manager will not request any LIN status from any devices so there will not be any LIN updates. The LIN status displayed on the LSN Network Status window will not change regardless of the LIN status of any device on the network. (LSN status changes will still be displayed).
  • Slow - This will force the CineSuite Manager to request the LIN status from each device connected to the CineNet Driver every sixty seconds for LSN devices not showing their LIN devices and every fifteen seconds for LSN devices with their LIN devices visible in the LSN Network Status window.
  • Fast - This will force the CineSuite Manager to request the LIN status from each device connected to the CineNet Driver every fifteen seconds for LSN devices not showing their LIN devices and every four seconds for LSN devices with their LIN devices visible in the LSN Network Status window.

The Slow setting is for general purpose monitoring of the LSN network. The Fast setting would primarily be used if troubleshooting a problem for an LIN device. Setting the Automatic LIN Updates to fast for a large complex would cause a large number of requests to be sent causing an increase in the LSN network traffic, especially if viewing are large number of LIN devices.

Saving and restoring multiple LSN Network Status windows (Templates)

More than one LSN Network Status window can be displayed on the CineSuite Manager, allowing the user to monitor multiple sights. Select the LSN Network Status for each CineNet Driver to be monitored. An LSN Network Status window will be opened for each selection.

The CineSuite Manager offers the ability to save and restore multiple CNA Monitor windows and LSN Network Status windows. This gives the user the ability to monitor regions of theatres while saving and loading the settings when desired.

The Save Template and Load Template menu items perform the function of saving and loading the CNA Monitor and LSN Network Status window positions and connection information. Selecting the Save Template will save the current position and connection information of each CNA Monitor and LSN Network Status window currently open. Selecting Load Template will load a previously saved template, display each CNA Monitor or LSN Network Status window and attempt to reconnect each monitor window to the appropriate CineNet Driver. If any connection fails, the window will display the problem.

The LSN Network Status window appearance can be changed by setting the preferences.


Preferences

By changing the preferences, the user can change the appearance of the CineSuite Manager. The Preferences window is displayed by selecting the 'View/Preferences' menu item.

Change Fonts

CineSuite Manager allows the user to choose the style and size of font used for each editor and status window.

Choose the editor preferences to be edited from the Preferences For Editor/Monitor drop down list. (If an edit or status window was active when the Preferences windows was displayed, that editor or monitor will automatically be the selected item in the drop down list.) When the editor is selected, the Font and Font Size fields will show the current selection. The larger field below the font shows the appearance and size of the currently selected font.

To change the font type, select the new font from the Font drop down list. The newly selected fonts appearance will be displayed in the field below.

To change the size of the font, enter a new number in the Font Size field. Again, the new fonts size will be displayed in the field below.

Changes to the font type and size will not be applied to the edit windows until the Accept button is clicked.

Time Format

The time in the CineSuite Manager can be displayed in 12 hour or 24 hour format. Select the desired format. The time format will be used for displaying time throughout CineSuite Manager


CineSuite Connection Setup

In order for the CineSuite Manager to communicate with other CineSuite clients, it must communicate through the CineSuite Network Router. This window is used to set up the connection parameters. The Connection Settings window is displayed by selecting the 'File/Enterprise Setup' menu item.

Connection Settings
  • Location of Router - This is the computer where the CineSuite Network Router is running. This is the name of the computer for a local network or an Internet domain name for an Internet connection. The IP address can also be entered directly if know for any type of network connection. If the CineSuite Manager is running on the same computer as the CineSuite Network Router, "localhost" should be entered here.
  • CineSuite Reference Name - Enter the name you want to call this CineSuite Manager in this field. This is typically the name of the theatre complex followed by "CineSuite Manager". This name will be displayed to other users running other CineSuite applications when they want to choose this client.


Default CineNet Driver

When selecting files or status monitors, the default CineNet Driver is where the CineSuite Manager first gets it's information. All files loaded from or saved to automations are passed through the default CineNet Driver. If files are to be sent to or loaded from automations connected to a different CineNet Driver, the user will have to click on the Go To Network button on the Select CNA Block window.

To select the default CineNet Driver, select the 'File/Default CineNet Driver' menu item. This will display the Select CineNet Driver window.

The Select CineNet Driver window will show all CineNet Drivers connected through both the local router (the router the CineSuite Manager is connected to) and CineNet Drivers connected through the network. The first item displayed in the Select CineNet Driver is the local router. All CineNet Drivers currently on line that are connected to the local router are displayed under that router.

If the CineSuite Network Router is connected to a CineSuite Location Server, the user will be able to select a CineNet Driver from the entire network. Under the Entire Network all the CineSuite Network Routers currently connected to the CineSuite Location Server will be displayed(including the local router). Under each router will be ALL the CineNet Drivers that have ever been connected to each router (the CineNet Driver does not have to be currently on line to be displayed).

Select the CineNet Driver to be used as the default and click on the Accept button. When requests are now sent to the default CineNet Driver, the selected driver will receive the requests.


CNA-100/150 Program Overview

The CNA-100/150 are a cue-driven automations. This means that events, such as lens, masking and sound changes, are initiated by a cue (normally foil placed on the film). These events are stored in the CNA-100/150's memory and are called programs. The CNA-100/150 gives the user the ability to build and store up to nine different programs. Each program can contain up to nine cues.

The CNA-100/150 automation requires a sound, lens and lights selection for each cue. Each cue can also optionally have up to four auxiliary outputs, intermission or a curtain call. When a cue is received, all formats are changed to the selected format for the new cue immediately.

The way these programs are displayed and edited on the automation is different than when using the CineSuite Manager. This was to keep the CNA-200 and CNA-100/150 Program Editor similar. When a program is created using the CineSuite Manager for a CNA-100/150, the program is converted to the proper format when it is saved to the automation. This will have the effect of removing unnecessary, invalid or duplicated instructions.


CNA-100/150 Program Editor

The CNA-100/150 Program Editor is used to create or edit CNA-100/150 automation programs. The program consists of a series of instructions. The instructions are performed in order starting at the beginning of the program and executing each step in order to the end of the program. The program stops at all 'Wait For Cue' instructions until a cue is received. It then continues on until the next 'Wait For Cue' instruction or until the end of the program.

  • To create a new blank CNA-100/150 program, select the 'File/New/Programs/CNA-100/150' menu item.
  • To open an existing CNA-100/150 program file from disk, select the 'File/Open/From File' menu item (see Opening Files From Disk for information about opening CNA files from disk".
  • To load a CNA-100/150 program from a CNA automation, select the 'File/Open/From Automation' menu item (see Opening Files From Automations for information about selecting CNA files)

All of the above methods will open a new CNA-100/150 program edit window displaying the selected CNA-100/150 program in the window. When loading a file from a CNA automation, there may be a small delay between the time the edit window is opened and when the data is received and displayed.

When a new CNA-100/150 edit window is opened, the CNA-100/150 Program Instruction window is also displayed.

In CNA-100/150 programs there can only be one of each type of instruction between the cues. Example: If there is a House Lights Up/Stage Lights Up instruction after a cue and then there is a House Lights Down/Stage Lights Down instruction before the next cue, the last light instruction will be used when the program is converted to the correct format for the automation.

Also, if instructions are left out between cues, they are automatically added when the program is converted. Example: If a Format instruction is left out between cues, the CineSuite Manager assumes the sound format is to be the same and automatically inserts the same Format instruction in the program when it is converted to the correct format for the automation.

The reverse also applies when a CNA-100/150 program is loaded from an automation. If an instruction is the same for sequential cues, the first cue is the only one that will display the instruction. The same instruction will be added back in when the program is converted to the proper format for the automation. This allows the user to quickly and easily determine when formats have changed for each cue.

For instructions on how to use the Program Editor, see Editing CNA Programs


CNA-100/150 Program Set Editor

The CNA-100/150 Program Set Editor is used to create or edit CNA-100/150 automation program sets. The CNA-100/150 Program Set Editor is the same as the CNA-100/150 Program Editor except the user can edit, save and load all nine CNA-100/150 programs in a single file.

  • To create a new blank CNA-100/150 Program Set, select the 'File/New/Program Set/CNA-100/150' menu item.
  • To open an existing CNA-100/150 Program Set from disk, select the 'File/Open/From File' menu item (see Opening Files From Disk for information about opening CNA files from disk".
  • To load a CNA-100/150 Program Set from a CNA automation, select the 'File/Open/From Automation' menu item and select the Program Set for the desired automation. (See Opening File From Automations for information about selecting CNA files.)

All of the above methods will open a new CNA-100/150 Program Set edit window displaying the selected Program Set's program #1 in the window. When loading a file from a CNA automation, there may be a small delay between the time the edit window is opened and when the data is received and displayed.

When a new CNA-100/150 Program Set edit window is opened, the CNA-100/150 Program Instruction window is also displayed.

To select the program to display in the program editor for editing, select the program number from the drop down list. The instructions for the selected program will be displayed in the program set editor window. Any changes to the previously selected program are retained in memory. When saving a program set, changes to all programs are saved at the same time.

In CNA-100/150 programs there can only be one of each type of instruction between the cues. Example: If there is a House Lights Up/Stage Lights Up instruction after a cue and then there is a House Lights Down/Stage Lights Down instruction before the next cue, the last light instruction will be used when the program is converted to the correct format for the automation.

Also, if instructions are left out between cues, they are automatically added when the program is converted. Example: If a Format instruction is left out between cues, the CineSuite Manager assumes the sound format is to be the same and automatically inserts the same Format instruction in the program when it is converted to the correct format for the automation.

The reverse also applies when a CNA-100/150 program is loaded from an automation. If an instruction is the same for sequential cues, the first cue is the only one that will display the instruction. The same instruction will be added back in when the program is converted to the proper format for the automation. This allows the user to quickly and easily determine when formats have changed for each cue.

For instructions on how to use the Program Editor, see Editing CNA Programs


CNA-100/150 Program Instructions

The following descriptions for the program instructions were based on information from the CNA-100 manual.

AUX OUTPUTS

Instruction | Action
Aux Output | On

This instruction will cause the aux output to pulse after the cue is received if the contacts are set to pulsed or it will cause the output to be turned on when the cue is received and it will stay on until the next cue is received if the contacts are set to maintained. If the aux output is to stay on for the next cue, the Aux Output instruction must be included after the next cue also (maintained only).

CURTAIN CALL

Instruction | Parameters
Curtain Call | none

The "Curtain Call" function will issue a curtain close at a selected cue. For example, suppose you wanted your curtains to close at the end of your trailers and open back up at the start of your feature presentation. You would place a cue at a distance before the end of the trailer that is equal to the curtain close time and another cue at the beginning of the feature.

FORMAT

Instruction | Sound Formats | Lens Formats
Format 1: Sound Lens | Non-Sync, Mono, SVA, SR, Dig 1, Aux 1 | Flat, Scope, Special,

This instruction allows the film format parameters to be selected. Aux 1 can be used for any desired function i.e. a mute, synthesized stereo, magnetic, special types of noise reduction.

INTERMISSION WAIT

Instruction | Parameters
Intermission Wait | none

This instruction is used for intermissions and other special applications. This instruction automatically switches the system to non-sync sound and initializes the projector motor shutdown. The changeover is closed with the normal delay. Shutdown is maintained until a RESUME is received. This instruction requires a Wait Cue instruction (and a film cue) to initiate the show start logic.

A cue key or remote cue from the cue detector will terminate the wait and execute the next Wait For Cue instruction.

LIGHTS

Instruction | Parameters
House Lights Up/Stage Lights Up House Lights Down/Stage Lights Down House Lights Mid 1/Stage Lights Down House Lights Mid 2/Stage Lights None | none

These instructions control both the house and stage lights with a single instruction. The House Lights Mid 2/Stage Lights None can be used to change the level of the house lights without affecting the level of the stage lights.

WAIT FOR CUE

Instruction | Value Range
--Wait For Cue-- | No value

This instruction causes the program to wait for one of the following:

  1. A film cue
  2. Cue input (key)
  3. Failsafe (end of film) when last cue is expected by program

The failsafe can be used as the last cue if a failsafe shutdown is desired.


CNA-100/150 Program Instructions Table

CNA-100/150 Program Instruction Table

A cue key or remote cue from the cue detector will terminate the wait and execute the next Wait Cue instruction.

The following table summarizes the program instructions.

See CNA-100 Program Instructions for a complete description of each instruction or click on the instructions link below.

Instruction | Range
Aux | On
Curtain Call | none
Format: Sound Lens | Non-Sync, Mono, SVA, SR, Dig 1, Aux 1 Flat, Scope, Special
House Lights Up/Stage Lights Up | none
House Lights Down/Stage Lights Down | none
House Lights Mid 1/Stage Lights Down | none
House Lights Mid 2/Stage Lights None | none
Intermission Wait | none
Wait For Cue | none


Editing CNA Programs

Creating and editing programs for the CNA-100/150 and CNA-200 is the same. The main difference are the Program Instructions available to each type of program. The examples below show how a CNA-200 program is edited but editing a CNA-100/150 program is the same.

The CNA-200 program consists of four columns of data and the CNA-100/150 program consists of three columns. The first column contains the name of the instruction. The other columns contain the instruction parameters. The instruction parameters are based on the specific instruction. Some instructions have no parameters and some have parameters for each column.

Clicking in the 'Instruction' column will display the Program Instructions tool window.

Adding Instructions

Double clicking on an instruction in the Program Instructions tool window will insert the instruction into the program at the current location. All instructions after the insertion point are moved toward the end of the program one step. The last instruction of the program is deleted. An instruction can also be added by clicking on the 'Add' button on the Program Instructions tool window.

After each instruction is added, the current location is moved forward one position in the program. This will allow the user to quickly build a program without having to move the mouse back and forth between the program editor and the Program Instructions tool window.

To select a different location in the program to insert an instruction, just click in the program editor window where the new instruction is to be inserted and add the instruction using the Program Instructions tool window.

Changing Instruction Values

To change the settings for an instruction, just click on the setting to be changed. Although the cue times for each cue are displayed in the program editor, they are currently not editable. Clicking on them will have no effect.

If a number value is clicked on, a number editor will appear. Set the number as desired. Clicking anyplace else on the program editor will close the number editor and save the value to the program. If the number value is set higher than the allowed maximum then the maximum value is saved to the program. If the number value is set lower than the allowed minimum then the minimum value is saved to the program.

If a selection box setting is clicked on, a selection box will appear showing the possible selections. Clicking on one of the selections will close the selection box and save the new setting. If the user clicks outside the selection box, the selection is canceled and the old selection will remain.

Deleting Program Instructions

To delete a program instruction, select the program instruction and press the delete key. To delete multiple program instructions, select all the instructions to be deleted and press the delete key. (Pressing the shift key will select all instructions between the first selection and last selection. Pressing the ctrl key will select or de-select each instruction one at a time.


CNA-200 Program Overview

The CNA-200 is a cue-driven automation. This means that events, such as lens, masking and sound changes, are initiated by a cue (normally foil placed on the film). These events are stored in the CNA-200's memory and are called programs. The CNA-200 gives the user the ability to build and store up to nine different programs. Each program can contain up to ninety-nine instructions which are performed sequentially. An instruction is a particular function that will be executed during a program step. It may have a timed relationship to the step; that is, stage lights may be programmed to dim ten seconds after the instruction is encountered in the program.

A program is a series of events that the system will perform in the order in which those instructions are encountered. Most instructions have timers that determine when the actual event will take place in relation to when the instruction is encountered. For example, when the "House Lights Down 0:30" instruction is encountered, the system understands this instruction and proceeds to the next instruction on the list. 30 seconds later the house lights will go down.

The most important program instruction are:

  • Format - The format configuration will be displayed on the CNA-200 when the system is running a film, show. Displayed is the type of sound, lens and projector speed used. Up to 10 different Format instructions can be used during a program.

  • Wait For Cue - All instructions in a program are executed until a Wait Cue is encountered. When the automation receives a cue, the CNA will then perform the next set of instructions in the program until the next Wait Cue is encountered. When the last Wait Cue is the program is encountered, the CNA will perform the End of Show functions. There is a maximum of twenty cues may in a program.

  • Wait For Timer - Halts the execution of a program for a prescribed period of time in minutes and seconds. After the programmed time has expired, the system performs the next instruction in the program.

The CNA-200 Program Editor is used to create and edit programs.


CNA-200 Program Editor

The CNA-200 Program Editor is used to create or edit CNA-200 automation programs. The program consists of a series of up to ninety-nine instructions. The instructions are performed in order starting at the beginning of the program and executing each step in order to the end of the program. The program stops at all 'Wait' instructions until the wait condition is met. It then continues on until the next 'Wait' instruction or until the end of the program.

  • To create a new blank CNA-200 program, select the 'File/New/Programs/CNA-200' menu item.
  • To open an existing CNA-200 program file from disk, select the 'File/Open/From File' menu item (see Opening Files From Disk for information about opening CNA files from disk".
  • To load a CNA-200 program from a CNA automation, select the 'File/Open/From Automation' menu item (see Opening File From Automations for information about selecting CNA files)

All of the above methods will open a new CNA-200 edit window displaying the selected CNA-200 program in the window. When loading a file from a CNA automation, there may be a small delay between the time the edit window is opened and when the data is received and displayed.

When a new CNA-200 edit window is opened, the CNA-200 Program Instruction window is also displayed.

For instructions on how to use the Program Editor, see Editing CNA Programs


CNA-200 Program Set Editor

The CNA-200 Program Set Editor is used to create or edit CNA-200 automation program sets. The CNA-200 Program Set Editor is the same as the CNA-200 Program Editor except the user can edit, save and load all nine CNA-200 programs in a single file.

  • To create a new blank CNA-200 Program Set, select the 'File/New/Program Set/CNA-200' menu item.
  • To open an existing CNA-200 Program Set from disk, select the 'File/Open/From File' menu item (see Opening Files From Disk for information about opening CNA files from disk".
  • To load a CNA-200 Program Set from a CNA automation, select the 'File/Open/From Automation' menu item and select the Program Set for the desired automation. (See Opening File From Automations for information about selecting CNA files.)

All of the above methods will open a new CNA-200 Program Set edit window displaying the selected Program Set's program #1 in the window. When loading a file from a CNA automation, there may be a small delay between the time the edit window is opened and when the data is received and displayed.

When a new CNA-200 Program Set edit window is opened, the CNA-200 Program Instruction window is also displayed.

Choosing Program to Edit

To select the program to display in the program editor for editing, select the program number from the drop down list. The instructions for the selected program will be displayed in the program set editor window. Any changes to the previously selected program are retained in memory. When saving a program set, changes to all programs are saved at the same time.

For instructions on how to use the Program Editor, see Editing CNA Programs


CNA-200 Program Instructions

The following descriptions for the program instructions were taken from the CNA-200 manual.

AUX OUTPUTS

Instruction | Output Range | Action | Value Range
Aux [Out d] | 1 to 4 | On, Off, No-op | 00:00 to 99:59 (minutes:seconds)

Note: CNA-200 Version 1.013 and later. This instruction controls the four auxiliary outputs.

Out d | Select Out 1, Out 2, Out 3 or Out 4
On Off No-op | This selection causes transition to the on state. This selection causes transition to the off state. This selection causes the output to do nothing at all!

A timer is used to implement this instruction. Execution of the instruction simply sets and starts the timer. When the timer times out (counts down to zero) the output is set to the desired state. Control immediately interprets the next instruction in the list. The time is specified in minutes and seconds.

Note: Executing the same instruction again (before the timer times out) simply overrides the previous instruction.

CHANGEOVER

Instruction | Value Range
Changeover Open Changeover Close Changeover None Changeover Auto | 00:00 to 59:59 (minutes:seconds) 00:00 to 59:59 (minutes:seconds) 00:00 to 59:59 (minutes:seconds) 00:00 to 59:59 (minutes:seconds)

The Sound Changeover is normally handled automatically by the control. This set of instructions is very powerful and provides the user with more control of the Sound Changeover outputs. Time is specified in minutes and seconds.

Using the Changeover Open, Changeover Close and Changeover None instructions in a program simply override the automatic Sound Changeover logic, with the exception of a film break.

Use the Changeover None to suppress the automatic open or close of the changeover. Use the Changeover Open and Changeover Close to control the Changeover outputs as desired.

Use the Changeover Auto to return control of the Sound Changeover back to the automatic changeover open and close logic.

Time is specified in minutes and seconds.

CUE FACTOR

Instruction | Value Range
Cue Factor | .000 to .999

This instruction overrides the Cue Factor Default (Supervisory function) for the remainder of the program and adjusts the cue window accordingly. Control immediately interprets the next instruction on the list.

CURTAINS

Instruction | Value Range
Curtain Open Curtain Close Curtain None Curtain Call Curtain Close Early | 00:00 to 59:59 (minutes:seconds) 00:00 to 59:59 (minutes:seconds) 00:00 to 59:59 (minutes:seconds) 00:00 to 59:59 (minutes:seconds) 00:00 to 59:59 (minutes:seconds)

Curtain Open, Curtain Close and Curtain None each operate to control the curtain open and close outputs. A single timer is used to implement these instructions. Execution of the instruction simply sets and starts the timer. Later, when the timer times out the output are set to the desired states. Control immediately interprets the next instruction on the list. The time is specified in minutes and seconds.

Executing one of these instructions again (before the timer times out) simply overrides the previous instruction.

Curtain Call is a special instruction that is active only when running in the Learned Mode. Based on the learned time of the next film cue, the instruction calculates the time before that cue and executes a curtain close output. Upon reading that cue the curtain will reopen. For example, with the Curtain Call is set for a time of 10 seconds the curtain will start to close 10 seconds before the next cue is read. When the cue is read the curtains will begin to open. This instruction can be used to close the curtain at the end of a trailer and then reopen the curtain at the beginning of the main feature. Time is specified in minutes and seconds and should be set 2 to 5 seconds longer than the time required for the curtain to fully close. Control immediately interprets the next instruction on the list.

Curtain Close Early is another special instruction that is only active in the Learned Mode. The curtain will close prior to the last cue. The amount of time set determines how early the curtain closes. This could be used to synchronize the curtain closing with the changeover to prevent the audience from seeing a "white" screen at the end of the presentation.

Keep in mind "anticipatory" instructions (Curtain Call and Curtain Close Early) must be encountered before the Wait Cue instruction and are only active in the "Learned" mode.

FORMAT

Instruction | Sound Formats | Lens Formats
Format 1: Sound Lens | Non-Sync, Mono, SVA, SR, Dig 1, Dig 2, Aux 1, Aux 2 | Flat, Scope, Special,

This instruction allows the film format parameters to be selected. The changeover occurs as defined in supervisory function. System immediately interprets next instruction on the list. Aux 1 and 2 can be used for any desired function i.e. a mute, synthesized stereo, magnetic, special types of noise reduction.

HOUSE LIGHTS

Instruction | Value Range
House Lights Up House Lights Down House Lights Mid 1 House Lights Mid 2 House Lights None | 00:00 to 59:59 (minutes:seconds) 00:00 to 59:59 (minutes:seconds) 00:00 to 59:59 (minutes:seconds) 00:00 to 59:59 (minutes:seconds) 00:00 to 59:59 (minutes:seconds)

Each of these instructions operate in the same manner to control the four House Light outputs. House Lights None would normally only be used when contacts are configured for Maintained. A single timer is used to implement these five instructions. Execution of the instruction simply sets and starts the timer. When the timer times out (counts down to zero) the output is set to the desired state. When the outputs are configured for Pulsed, a transition to the on state will cause the output to occur. Control immediately interprets the next instruction in the list. The time is specified in minutes and seconds.

Note: Executing one of these instructions again (before the timer times out) simply overrides the previous instruction.

INTERMISSION WAIT

Instruction | Value Range
Intermission Wait | 00:00 to 99:59 (minutes:seconds)

This instruction is used for intermissions and other special applications. This instruction automatically switches the system to non-sync sound and initializes the projector motor shutdown. The changeover is closed with the normal delay. Shutdown is maintained until the programmed time is expired or a RESUME is received. This instruction requires a Wait Cue instruction (and a film cue) to initiate the show start logic.

When the time is set to the maximum value of 99:99 the instruction waits indefinitely. A RESUME or remote RESUME will terminate the wait and continue the program.

A cue key or remote cue from the cue detector will terminate the wait and execute the next Wait Cue instruction.

PROJECTOR MOTOR/LAMP

Instruction | Value Range
Projector Motor/Lamp On Projector Motor/Lamp Off | 00:00 to 59:59 (minutes:seconds) 00:00 to 59:59 (minutes:seconds)

The Projector Motor/Lamp On instruction turns on the projector motor and xenon lamp but does not initiate automatic show start logic (changeover open, etc.). A "Wait Cue" instruction (and a film cue) is required to initiate show start logic.

The Projector Motor/Lamp Off instruction causes the projector motor and xenon lamp to turn off using the normal show end timers and closes the changeover. This instruction can also be used to keep the projector motor from coming on at the beginning of a show.

SHUTDOWN DELAY

Instruction | Value Range
Shutdown Delay | 00:00 to 59:59 (minutes:seconds)

This instruction extends the normal shut down time of the projector motor in the time specified. Shutdown Delay overrides the global end of show timer. This can be used to allow film to clear the projector before shut down. Time is specified in minutes and seconds.

SLIDE PROJECTOR

Instruction | Value Range
Slide Projector On Slide Projector Off | 00:00 to 59:59 (minutes:seconds) 00:00 to 59:59 (minutes:seconds)

This set of instructions operate to control the Slide Projector output. A single timer controls these instructions. Executing one of these instructions sets and starts the timer. Executing one of these instructions again (before the timer times out) overrides the previous instruction. Time is specified in minutes and seconds.

STAGE LIGHTS

Instruction | Value Range
Stage Lights Up Stage Lights Down Stage Lights None | 00:00 to 59:59 (minutes:seconds) 00:00 to 59:59 (minutes:seconds) 00:00 to 59:59 (minutes:seconds)

This set of instructions each operate in the same manner to control the two Stage light outputs. A single timer is used to implement these three instructions. Execution of the instruction simply sets and starts the timer. When the timer times out (counts down to zero) the output is set to the desired state. When the outputs are configured for Pulsed, a transition to the on state will cause the pulse to occur. Control immediately interprets the next instruction in the list. The time is specified in minutes and seconds.

Executing one of these instruction again (before the timer times out) simply overrides the previous instruction.

WAIT FOR CUE

Instruction | Value Range
--Wait For Cue-- | No value

This instruction causes the program to wait for one of the following:

In the Learn Mode (Record mode):

  1. A film cue
  2. Cue input (key)
  3. Failsafe (end of film) when last cue is expected by program

In the Learned Mode (Playback mode):

  1. A film cue within learned cue window
  2. Cue input (key)
  3. Failsafe (end of film)within last cue window

The failsafe can be used as the last cue if a failsafe shutdown is desired. Control immediately executes next instruction on the list.

WAIT FOR TIMER

Instruction | Value Range
--Wait For Timer -- | 00:00 to 99:99 (minutes:seconds)

This instruction causes a delay for the specified time in minutes and seconds. When the Wait instruction is encountered in a program the timer starts. No other instructions in the program are executed until the timer times out (counts down to zero). This instruction, for example, can be used with the Curtain instructions to perform a "curtain call" or for special intermission features.

A manual cue input or a film cue will abort this instruction and control will immediately execute the next instruction on the list. If used during an intermission, a start input will abort the Wait instruction.

When the time is set to the maximum value of 99:99 the instruction waits indefinitely. A RESUME or remote RESUME will terminate the wait and continue the program.

VOLUME

Instruction | Output Range | Fade Time Range | Value Range
Volume | -50.0dB to +10.0dB | 0 to 10 seconds | 00:00 to 99:59 (minutes:seconds)

Note: CNA-200 Version 1.016 and later. Volume in the auditorium can be controlled automatically by using the volume instruction. Fade time is defined as how many seconds it will take to ramp to the new sound level. The volume instruction has a level range of -50.0dB to +10.0dB and a fade time range of 0 to 10 seconds.

Enter volume instructions for each cue as required. Just like any other instruction, the volume instruction can be added anywhere in a program and must be seperated by a Wait Cue or Wait timer instruction.


CNA-200 Program Instructions Table

CNA-200 Program Instruction Table

A cue key or remote cue from the cue detector will terminate the wait and execute the next Wait Cue instruction.

The following table summarizes the 29 Program Instructions. The first 27 Program Instructions were available with versions 1.003 through 1.011. The Aux instruction was added in version 1.013. The Volume instruction added in version 1.016.

See CNA-200 Program Instructions for a complete description of each instruction or click on the instructions link below.

Instruction | Range
House Lights Up | 0:00 to 59:59 minutes:seconds
House Lights Down | 0:00 to 59:59 minutes:seconds
House Lights Mid 1 | 0:00 to 59:59 minutes:seconds
House Lights Mid 2 | 0:00 to 59:59 minutes:seconds
House Lights None | 0:00 to 59:59 minutes:seconds
Stage Lights Up | 0:00 to 59:59 minutes:seconds
Stage Lights Down | 0:00 to 59:59 minutes:seconds
Stage Lights None | 0:00 to 59:59 minutes:seconds
Curtain Open | 0:00 to 59:59 minutes:seconds
Curtain Close | 0:00 to 59:59 minutes:seconds
Curtain None | 0:00 to 59:59 minutes:seconds
Curtain Call | 0:00 to 59:59 minutes:seconds
Curtain Close Early | 0:00 to 59:59 minutes:seconds
Slide Projector On | 0:00 to 59:59 minutes:seconds
Slide Projector Off | 0:00 to 59:59 minutes:seconds
Cue Factor | 0:00 to 59:59 minutes:seconds
Format: Sound Lens | Non-Sync, Mono, SVA, SR, Dig 1, Aux 1, Dig 2, Aux 2 Flat, Scope, Special
Wait For Cue | N/A
Shutdown Delay | 0:00 to 59:59 minutes:seconds
Wait For Timer | 0:00 to 59:59 minutes:seconds
Changeover Open | 0:00 to 59:59 minutes:seconds
Changeover Close | 0:00 to 59:59 minutes:seconds
Changeover None | 0:00 to 59:59 minutes:seconds
Changeover Auto | 0:00 to 59:59 minutes:seconds
Projector Motor/Lamp On | N/A
Projector Motor/Lamp Off | N/A
Intermission Wait | 0:00 to 99:59 minutes:seconds
Aux | Out 1 to 4 * On-Off-No-Op * 0:00 to 99:59 minutes:seconds
Volume, Fade Time | -50.0dB to +10.0dB * 0 to 10 seconds * 0:00 to 99.59 minutes:seconds


Supervisory Editor

The Supervisory setting for the CNA automations determine the default behavior of the automations. The supervisory file is the same for all the automation types although the CNA-100 and CNA-150 do not incorporate all the settings.

  • To create a new blank Supervisory file, select the 'File/New/Supervisory' menu item. The Supervisory file will be initialized to default values.
  • To open an existing Supervisory file from disk, select the 'File/Open/From File' menu item (see Opening Files From Disk for information about opening CNA files from disk".
  • To load a Supervisory file from a CNA automation, select the 'File/Open/From Automation' menu item (see Opening Files From Automations for information about selecting CNA files)

All of the above methods will open a new Supervisory edit window displaying the selected Supervisory file in the window. When loading a file from a CNA automation, there may be a small delay between the time the edit window is opened and when the data is received and displayed.

The Supervisory file is divided into a number of different screens based on the function of the settings. The screens are changed by selecting the desired screen from the drop down list.

  • System Parameters
  • Standard Outputs
  • Maintenance Timers
  • Aux Outputs
  • QDC Dimmers
  • QDC Zones
  • RVC-5 Setup

Changing Settings

To change the settings for an item, just click on the setting to be changed. If a number value is clicked on, a number editor will appear. Set the number as desired. Clicking anyplace else on the Supervisory Editor window will close the number editor and save the value to the program. If the number value is set higher than the allowed maximum then the maximum value is saved. If the number value is set lower than the allowed minimum then the minimum value is saved.

If a multiple selection setting is clicked on, a selection box will appear showing the possible selections. Clicking on one of the selections will close the selection box and save the new setting. If the user clicks outside the selection box, the selection is canceled and the old selection will remain.

If a text setting is selected, a text edit box will appear. Enter the new text. Clicking anyplace else on the Supervisory Editor window will close the text edit box and save the value to the program. The number of characters that can be entered in the edit box is limited as determined by the value being set.


Supervisory System Parameters

The Supervisory file is divided into a number of different screens based on the function of the settings. The screens are changed by selecting the desired screen from the drop down list.

Supervisory Overview
  • System Parameters
  • Standard Outputs
  • Maintenance Timers
  • Aux Outputs
  • QDC Dimmers
  • QDC Zones
  • RVC-5 Setup

The System Parameters screen contains the general settings. These include the timers, password, start modes and other configuration settings.

Changeover Delay (sec):

The sound changeover delay determines the delay time between the show start input and the sound changeover from the non-sync music source. For example, with the Sound C/O Delay set at 5, five seconds after the show starts the changeover will open. And five seconds after the last (end of show) cue is encountered the changeover will close. The legal range is 3 to 59 seconds.

Lens Change Time (sec):

This represents the time required for the lens turret to change positions from flat to scope. It is the time the changeover will remain closed during lens changes. The result is a black screen. To determine the desired value, simply time the lens turret and add 1 second. The legal range is 0 to 9 seconds. 0 disables the function.

Changeover Pulse Length (sec):

This setting controls the duration or width of the pulse sent to the changeover. It is recommended that the Changeover Pulse be set to the minimum value that allows the changeover to complete its full stroke. The legal values are .1 to 1.0 seconds.

Bobble Delay (sec):

The bobble delay is designed to prevent premature shutdown caused by platter or other types of rewind and film transport equipment during startup or any other portion of the presentation. Anytime the failsafe does not sense film presence during a presentation the Failsafe Delay timer is started, if film is detected before the timer expires, the presentation is not shutdown. If, however, film is not detected before the timer expires, the presentation is stopped and the alarm will sound. Legal entries range from 1 to 10 seconds.

Default Cue Factor:

This setting is used in conjunction with CNA Cue Learn system. When a CNA automation learns the cue locations it places a "window" around the learned cue time. The width of the window is based on the Cue Factor number. In the event of a missed cue, the CNA automation maintains the proper timing of events by automatically inserting a cue at the end of the window.

Technically, the cue window time is the Cue Factor multiplied by the Cue Time. For example, if The Cue Factor Default is .001 and the cue occurs 50 minutes into the presentation, the size of the window is: .001 X 50 = .05 minutes or (.05 X 60) 3 seconds. Remember, the time of each window is based on the distance the cue is from the beginning of the film. So it follows that the further the cue is from the beginning of the film, the larger the window will be. Based on this, select a Cue Factor you can live with. For an average length movie, a Cue Factor Default setting of .002 is good.

Cue Learn:

This setting allows the Cue Learn Mode to be manually or automatically terminated after the cue times have been learned. In the Manual mode the operator is required to manually de-activate the Cue Learn Mode by pressing the Learn Mode key after the cues are learned. In the Auto mode the CNA automation assumes that all cues were in their proper location and the presentation went as planned. After learning the cues the CNA automation will automatically de-activate the Cue Learn Mode.

Timed Start:

This setting controls access to the timed autostart function. The entries are Enabled and Disabled. When Timed Start is disabled the operator can not access the Time Start feature.

Clock Start:

This setting controls access to the clock autostart function. The entries are Enabled and Disabled. When Clock Start is disabled the operator can not access the Clock Start feature.

Limited Access Password:

This setting sets the low level or projectionist's password. This password allows access to the Sync Loop number in Supervisory, Clock Start Times, Programs (format instruction only) and Cue Learn Times. It allows the projectionist to access the functions necessary to perform the job, while maintaining protection of the high level information. Legal entries are 00 through 99.

Display Check Cue Message:

When using the system Cue Learn mode feature there is a fault message that is displayed after running the presentation in Learn mode. The message "CHECK CUE LEARN TIMES" is displayed as a reminder to the operator to verify the cue times after the first show. This message can be suppressed by setting it to Disabled.

Display Missed Cue Message:

When using the CNA's Cue Learn mode feature there is a fault message that is displayed after running the presentation in Learned mode. For example, the message "MISSED CUE 3" will be displayed if the system did not see cue foil 3 during the show. This message can be suppressed for those theatres that do not use cue foil on the film, or for some other reason do not want to see this fault message.

Fault Defeat:

This setting allows the operator to bypass the Film Presence, Film Motion, Film Tension and Xenon Fault inputs. This would normally be used only for testing purposes, not for normal operation. When Fault Defeat is set for Enabled, all the fault inputs are bypassed. When set for Enabled, the message "FAULT DEFEAT ENABLED" will be displayed on the CNA-200 and the Fault Defeat LED will be ON on the CNA-100 and CNA-150 as a reminder to the operator. The selections are Enabled and Disabled.

Time Mode:

The CNA clock can be set for either the 12 or 24 hour format.

Remote Alarm Time: (sec):

This setting sets the remote automation fault alarm duration. When set to a non-zero time the alarm will 'sound' (for the programmed time) if another CNA automation on the network has faulted. Setting the time to 0 will disable this feature. Setting the time to 99 will sound the alarm until the alarm is canceled at the CNA that caused the fault or at a CNA Remote Monitor.


Supervisory Standard Outputs

The Supervisory file is divided into a number of different screens based on the function of the settings. The screens are changed by selecting the desired screen from the drop down list.

Supervisory Overview
  • System Parameters
  • Standard Outputs
  • Maintenance Timers
  • Aux Outputs
  • QDC Dimmers
  • QDC Zones
  • RVC-5 Setup

The Standard Outputs screen contains the relay output configuration settings. These settings determine whether the outputs are pulsed or maintained and what the outputs should do for power up and faults.

Contacts

Set the contacts for each output category to Pulsed or Maintained. Setting a category will affect all relay outputs for that group. The contacts for the Slide Projector are set to Maintained and cannot be changed. The contacts for the House Lights and Stage Lights must always be set the same. Setting one will automatically set the other to the same setting.

Power Up State

Set the Power Up State for each output category. The available selections are a function of the category being set.

Contact Group | Available Selections
Lens Contacts | Flat None No-op Scope Special
Masking Contacts | Flat None No-op Scope Special
Sound Contacts | Non-sync (fixed) - Cannot be changed
Light Contacts (House) | Down Mid 1 Mid 2 No-op Up
Light Contacts (Stage) | Down No-op Up
Curtain Contacts | Close None No-op Open
Slide Projector Contacts | No-op Off On

If a contact groups contacts are set to Pulsed, there is no difference between the None and No-op selection. For Maintained contacts, a setting of None will cause all relay contacts in the contact group to Open when a power up occurs. A setting of No-op will cause the relay contacts in a category group to power up in the same state they were in when the power turned off.

Fault To State

Set the Fault To State for each output category. The available selections are a function of the category being set.

Contact Group | Available Selections
Lens Contacts | No-op (fixed) - Cannot be changed
Masking Contacts | No-op (fixed) - Cannot be changed
Sound Contacts | Non-sync (fixed) - Cannot be changed
Light Contacts (House) | Up (fixed) - Cannot be changed
Light Contacts (Stage) | Up (fixed) - Cannot be changed
Curtain Contacts | Close None No-op Open
Slide Projector Contacts | No-op Off On

If a contact groups contacts are set to Pulsed, there is no difference between the None and No-op selection. For Maintained contacts, a setting of None will cause all relay contacts in the contact group to Open when a fault occurs. A setting of No-op will cause the relay contacts in a category group to stay in the same state when a fault occurs.


Supervisory Maintenance Timers

The Supervisory file is divided into a number of different screens based on the function of the settings. The screens are changed by selecting the desired screen from the drop down list.

Supervisory Overview
  • System Parameters
  • Standard Outputs
  • Maintenance Timers
  • Aux Outputs
  • QDC Dimmers
  • QDC Zones
  • RVC-5 Setup

The Maintenance Timers screen contains the settings for the Maintenance Timers. The timeout period and text to display after a timeout are set using this screen.

These are four timed schedules which allow the setting of a timer (in hours) which will notify the operator each time the elapse time reaches the set point. For example, if Schedule A is set at 100 hours, the operator would be notified at 100 hour intervals. The Maintenance Text is displayed on all screens when the elapsed time has passed.

The Elapsed timer must be reset to 0 in Supervisory by pressing 1 2 3 4 CLEAR with the cursor on the Elapsed time field. This will clear the fault message. Setting the set point to 0 disables the Maintenance Schedule fault message.

These timers are most commonly used to drive periodic maintenance to keep track of specific equipment life such as the xenon bulb. The set point range is 1 to 9999 hours. The Maintenance Text length is limited to 22 characters.


Supervisory Aux Outputs

The Supervisory file is divided into a number of different screens based on the function of the settings. The screens are changed by selecting the desired screen from the drop down list.

Supervisory Overview
  • System Parameters
  • Standard Outputs
  • Maintenance Timers
  • Aux Outputs
  • QDC Dimmers
  • QDC Zones
  • RVC-5 Setup

The Aux Outputs screen contains the settings for the Aux Outputs. The Aux Outputs are not actually physical relays but instead use relays already on the board that are not current in use. Using this screen, the relay to use for each aux output is set along with whether the relay is pulsed or maintained and what the output is supposed to do for power up and fault conditions. Note: CNA-200 automations below Version 1.013 do not have Aux Output capability.

Contacts

Set the contacts for each aux output to Pulsed or Maintained.

Power Up State

Set the Power Up State for each aux output. The available selections are:

  • No-op
  • Off
  • On

Fault To State

Set the Fault To State for each output category. The available selections are:

  • No-op
  • Off
  • On

Controls Relay

The Controls Relay setting determines which relay on the termination board will be engaged when the aux output is turned on. If a relay is set to be controlled by the aux output, the normal automatic operation of the relay will be disabled. Example: If Stage Lights Up relay is set for Aux Output 1 then when an automation instruction is encountered in the CNA-200 program that causes the stage lights to go up, the relay will not engage. The relay will only engage when the Aux Output 1 instruction is encountered in the program.

At this time the "spare relays" supported are as follows.

None(disabled)
Curtain Close
Curtain Open
Environment*
House Lights Down
House Lights Mid 1
House Lights Mid 2
House Lights Up
Lens Flat
Lens Scope

Lens Special
Mask Flat*
Mask Scope*
Mask Special*
Preamp 1*
Preamp 2*
Slide Projector (Booth)*
Slide Projector (Console/Single)
Sound Aux 1
Sound Aux 2*

Sound Digital 1
Sound Digital 2*
Sound Mono
Sound Mute
Sound Non-Sync
Sound SR
Sound SVA
Stage Down
Stage Up

*Requires 39331 Booth termination board.


Supervisory QDC Dimmers

The Supervisory file is divided into a number of different screens based on the function of the settings. The screens are changed by selecting the desired screen from the drop down list.

Supervisory Overview
  • System Parameters
  • Standard Outputs
  • Maintenance Timers
  • Aux Outputs
  • QDC Dimmers
  • QDC Zones
  • RVC-5 Setup

The QDC Dimmer screen contains the settings for the QDC Dimmers. These settings determine the light levels for the QDC Dimmers and the fade rates between light levels. The zone name used to reference the dimmer is also set on this screen.

The CNA-200 currently supports up to four QDC-400 Dimmer Control cards. The channels are assigned to the dimmer cards as determined by the QDC dimmer card ID setting:

  • Dimmer Card 1: Channel 1,2,3,4
  • Dimmer Card 2: Channel 5,6,7,8
  • Dimmer Card 3: Channel 9,10,11,12
  • Dimmer Card 4: Channel 13,14,15,16

Zone

The Zone is used to reference a number of QDC dimmer channels using a single reference name. When the CNA automation sets the house lights to Down, all QDC dimmer channels with their zone set to House will dim to the Down Level in the time set by their Down Fade In Time settings.

Select House, Stage or None for the Zone for each channel to be configured. The Zone field contains a list of 16 zones and None (disabled). Two of the zones are defined as House and Stage. The other zone names can be changed by the user using the Supervisory QDC Zone screen. Currently the CNA automations only support the House and Stage zones. Note: Any additional selections are only used for light show programs, which are not yet available. Whether the dimmer should be set to House or Stage is determined by the "physical" wiring of the dimmer power modules and lights.

Light Levels

The light level is the percent of light the bulb will reach when the Up, Mid or Down level is selected by the CNA automation. A level should be entered for each Light Level field. Legal values for level are 0 to 100%

Fade In Time

The fade-in time controls how long it takes the lights to ramp to a new level. . Legal values for fade-in time are 0 to 99 seconds.

Note: You can ignore the Stage Mid 1 and Mid 2 levels. The CNA automations do not currently use them.


Supervisory QDC Zones

The Supervisory file is divided into a number of different screens based on the function of the settings. The screens are changed by selecting the desired screen from the drop down list.

Supervisory Overview
  • System Parameters
  • Standard Outputs
  • Maintenance Timers
  • Aux Outputs
  • QDC Dimmers
  • QDC Zones
  • RVC-5 Setup

The QDC Zones screen contains the settings for the QDC Zones. The QDC Zones can be given names such as house, stage, tivoli, walkway, etc. that make it easy to determine which lights levels are to change when selecting light states on the CNA programs.

Currently the CNA automations only support the House and Stage zones. Note: Any additional selections are only used for light show programs, which are not yet available.

Enter the zone names in any of the non-fixed locations. The zone names will then appear in the list of available zones on the Supervisory QDC Dimmer screen. The Zone name are limited in length to eight characters.


Supervisory RVC-5 Setup

The Supervisory file is divided into a number of different screens based on the function of the settings. The screens are changed by selecting the desired screen from the drop down list.

Supervisory Overview
  • System Parameters
  • Standard Outputs
  • Maintenance Timers
  • Aux Outputs
  • QDC Dimmers
  • QDC Zones
  • RVC-5 Setup

The RVC-5 Setup screen contains the settings for the RVC-5 remote volume control. Using this screen, the type of processor to control for each of the RVC-5 outputs can be selected.

Setting

Set the RVC-5 setting to Enabled if an RVC-5 remote volume control is connection to the automation. Set the Output 1 to the type of processor the RVC-5 Output 1 is connected to. This will allow the RVC-5 to correctly set the volume level of the processor.

If the RVC-5 has two outputs installed, set the Output 2 to the type of processor the RVC-5 Output 2 is connected to.


Show Schedule Editor

The Show Schedule editor is used to edit and create show start times for use by the CNA-200 clock start mode. The Show Schedule can also be saved to the CNA-100 and CNA-150 automations but the information will only be used for display of the show information on the CNA Monitors.

  • To create a new blank Show Schedule, select the 'File/New/Show Schedule' menu item.
  • To open an existing Show Schedule file from disk, select the 'File/Open/From File' menu item (see Opening Files From Disk for information about opening CNA files from disk".
  • To load a Show Schedule file from a CNA automation, select the 'File/Open/From Automation' menu item (see Opening Files From Automations for information about selecting CNA files)

All of the above methods will open a new Show Schedule edit window displaying the selected Show Schedule in the window. When loading a file from a CNA automation, there may be a small delay between the time the edit window is opened and when the data is received and displayed.

When a Show Schedule editor is opened, the Show Schedule Tools window is also displayed. The Show Schedule editor is used in conjunction with the Show Schedule Tools window to add or edit scheduled shows. The Show Schedule Tools window also contains the Facility Schedule window's display and copy settings along with the mouse pointer day and time. If the Show Schedule Tools window is closed, it can be displayed by double clicking on any scheduled show or by selecting the 'View/Schedule Tools' menu item.

The Show Schedule editor displays the day-of-week along the left side and the time along the top of the window. The Show Schedule Tools window is used to set the number of hours displayed along the top of the window. Displaying a smaller number of hours has the effect of zooming in on the schedule. Use the scroll bars along the bottom and right side to move the desired day or time into the viewing window. If a scheduled show is out of view to the left or right of the currently viewable window, a small orange arrow ( [image]) will be displayed along the left or right edge of the window indicating there is more information in that direction.

Scheduled Show Information

The Show Schedule consists of up to ten show start times per day for a seven day cycling period. Each scheduled show includes a start time, program number, title and length. The start time and program number are required. Show titles and length are optional but are very helpful in setting up and maintaining the show schedule.

    Start Time

    The start time for each scheduled show is displayed on the Show Schedule editor. The start time is displayed in 12 hour or 24 hour format as determined by the preferences setting.

    Program Number

    The CNA automations can hold nine programs. These programs control the lights, sound, lens, etc. that are selected when the show is run. When setting up a show schedule, the program number to be run for each start time must be selected. The scheduled show's program number will then be selected on the CNA-200 automation when the show is started using Clock Start mode.

    To assist in creating show schedules, each program number is represented by a different color on the Show Schedule editor.

    Show Title

    Currently, the CNA-200 does not use the show titles but these should be entered because the CNA Monitor can display the show title. The show title is displayed along with the start time for each scheduled show. The show title is limited to 14 characters (including spaces) and is entered when a new show is added or edited using the Show Schedule Tools window.

    Show Length

    The lengths of the shows are only used by the Show Schedule editor to visually represent the length of the shows to assist in setting up the show schedule. This allows the user to see the relative time between shows on the Show Schedule editor.

    Each scheduled show is displayed as either a colored rectangle or a colored triangle. When a show length is entered for the show, the scheduled show is displayed as a colored rectangle. The length of the rectangle is determined by the length of the show. The start time and show title are displayed within the rectangle. If the entire show title cannot be seen, use the Show Schedule Tools window to change the visible hours displayed to zoom in on the schedule. The left side of the rectangle indicates the start time of the show and the right side of the rectangle represents the end time of the show.

    When a show length is zero, the scheduled show is displayed as a colored triangle. The left side of the triangle indicates the shows start time. The show start time and title is displayed to the right of the triangle. To select a show with zero length, click on the triangle or anywhere on the shows time or title.

Adding Show Start Times

To add a new show start time to the show schedule, click on the day and time where the show is to start. If the selected day already has ten shows scheduled, a message box will appear describing the problem and the show will not be added to the schedule.

If the day under the mouse pointer is set as a copy of another day on the Show Schedule Tools window, the mouse pointer will change to a NO DROP icon. The user will not be allowed to add a show to that day. The user will either have to change the days copy selection to None on the Show Schedule Tools window or add a show to the day where the desired day is copied from.

After the user has clicked on a valid location to add a new show, the Add Movie window will be displayed.

The Add Movie window will have a list of all the shows currently entered in the show schedule. If the show to be added is already in the list, clicking on the show will update the Presentation Information at the bottom of the window. Change any necessary settings including the Start Time and click on the Accept button to add the new scheduled show. (See the Scheduled Show Information above for details on each of the shows parameters.) If the show is to be added with the current settings, double clicking on the show will add it to the show schedule.

Editing Scheduled Show Information

The information for the shows already scheduled can be easily changed. The start time and show length can be changed by dragging the scheduled show with the mouse. All other show information must be changed in the Show Schedule Tools window.

    Start Time

    To change the start time with the mouse, click on the scheduled show with the left mouse button and hold the button while dragging the mouse. The start time of the show will be updated on both the Show Schedule Editor and the Show Schedule Tools window as the show start time is dragged.

    To change the scheduled show's start time using the Show Schedule Tools window, select the scheduled show to be changed. The show's information will be displayed in the Show Schedule Tools window. Change the show's start time. The new start time will automatically be updated on the Show Schedule editor.

    Program Number

    The program number can only be changed using the Show Schedule Tools window. Select the scheduled show to be changed. The show's information will be displayed in the Show Schedule Tools window. Change the program number. The new program number will automatically be updated on the Show Schedule editor.

    Show Title

    The show title can only be changed using the Show Schedule Tools window. Select the scheduled show to be changed. The show's information will be displayed in the Show Schedule Tools window. Change the show title. The new show title will automatically be updated on the Show Schedule editor.

    Length

    The show length can only be changed with the mouse if it is not currently set to zero. To change the start time with the mouse, click on the left or right edge of the scheduled show and drag the start or end time to the desired time. The length of the show will be updated on the Show Schedule Tools window as the show length is dragged.

    To change the show using the Show Schedule Tools window, select the scheduled show to be changed. The show's information will be displayed in the Show Schedule Tools window. Change the show's length. The new length will automatically be updated on the Show Schedule editor.

While the Show Schedule Editor allows the user to create and edit a show schedule for a single automation, the Facility Schedule Editor allows the user to create and edit shows for all automations in the facility at the same time including the ability to copy entire show schedules from one house to the other.


Facility Schedule Editor

The Facility Schedule editor is used to edit and create show start times for use by the CNA-200 clock start mode. The schedules can also be saved to the CNA-100 and CNA-150 automations but the information will only be used for display of the show information on the CNA Monitors.

  • To create a new blank Facility Schedule, select the 'File/New/Show Schedule' menu item. The user will be prompted for the number of houses.
  • To open an existing Facility Schedule file from disk, select the 'File/Open/From File' menu item (see Opening Files From Disk for information about opening CNA files from disk".
  • To load a Facility Schedule file from CNA automations, select the 'File/Open/From Automation' menu item (see Opening Files From Automations for information about selecting CNA files)
  • To load the Facility Schedule file from the Default CineNet Driver, click on the Facility toolbar button (see CineSuite Manager Toolbar for more information).

All of the above methods will open a new Facility Schedule edit window displaying the Facility Schedule in the window. When loading a file from a CNA automation, there may be a small delay between the time the edit window is opened and when the data is received and displayed.

When a Facility Schedule editor is opened, the Show Schedule Tools window is also displayed. The Facility Schedule editor is used in conjunction with the Show Schedule Tools window to add or edit scheduled shows. The Show Schedule Tools window also contains the Facility Schedule window's display and copy settings along with the mouse pointer day and time. If the Show Schedule Tools window is closed, it can be displayed by double clicking on any scheduled show or by selecting the 'View/Schedule Tools' menu item.

The Facility Schedule editor displays the house number along the left side and the day-of-week and time along the top of the window. The Show Schedule Tools window is used to set the number of hours displayed along the top of the window. Displaying a smaller number of hours has the effect of zooming in on the schedule. Use the scroll bars along the bottom and right side to move the desired house, day or time into the viewing window. If a scheduled show is out of view to the left or right of the currently viewable window, a small orange arrow ( [image]) will be displayed along the left or right edge of the window indicating there is more information in that direction.

Scheduled Show Information

The show schedule for each house in the Facility Schedule consists of up to ten show start times per day for a seven day cycling period. Each scheduled show includes a start time, program number, title and length. The start time and program number are required. Show titles and length are optional but are very helpful in setting up and maintaining the show schedule.

    Start Time

    The start time for each scheduled show is displayed on the Facility Schedule editor. The start time is displayed in 12 hour or 24 hour format as determined by the preferences setting.

    Program Number

    The CNA automations can hold nine programs. These programs control the lights, sound, lens, etc. that are selected when the show is run. When setting up a show schedule, the program number to be run for each start time must be selected. The scheduled show's program number will then be selected on the CNA-200 automation when the show is started using Clock Start mode.

    To assist in creating show schedules, each program number is represented by a different color on the Facility Schedule editor.

    Show Title

    Currently, the CNA-200 does not use the show titles but these should be entered because the CNA Monitor can display the show title. The show title is displayed along with the start time for each scheduled show. The show title is limited to 14 characters (including spaces) and is entered when a new show is added or edited using the Show Schedule Tools window.

    Show Length

    The lengths of the shows are only used by the Facility Schedule editor to visually represent the length of the shows to assist in setting up the show schedule. This allows the user to see the relative time between shows on the Facility Schedule editor.

    Each scheduled show is displayed as either a colored rectangle or a colored triangle. When a show length is entered for the show, the scheduled show is displayed as a colored rectangle. The length of the rectangle is determined by the length of the show. The start time and show title are displayed within the rectangle. If the entire show title cannot be seen, use the Show Schedule Tools window to change the visible hours displayed to zoom in on the schedule. The left side of the rectangle indicates the start time of the show and the right side of the rectangle represents the end time of the show.

    When a show length is zero, the scheduled show is displayed as a colored triangle. The left side of the triangle indicates the shows start time. The show start time and title is displayed to the right of the triangle. To select a show with zero length, click on the triangle or anywhere on the shows time or title.

Adding Show Start Times

To add a new show start time to the schedule, select the house where the new show is to be added by clicking the left mouse button anywhere on the desired houses row. Next scroll to the desired day using the scroll bar at the bottom of the of the window and move the mouse pointer to the desired start time and click the left mouse button. If the selected day for the selected house already has ten shows scheduled, a message box will appear describing the problem and the show will not be added to the schedule.

If the day for the house under the mouse pointer is set as a copy of another day on the Show Schedule Tools window, the mouse pointer will change to a NO DROP icon. The user will not be allowed to add a show to that day for that house. The user will either have to change the days copy selection to None on the Show Schedule Tools window or add a show to the day where the desired day is copied from.

After the user has clicked on a valid location to add a new show, the Add Movie window will be displayed.

The Add Movie window will have a list of all the shows currently entered in the Facility Schedule. If the show to be added is already in the list, clicking on the show will update the Presentation Information at the bottom of the window. Change any necessary settings including the Start Time and click on the Accept button to add the new scheduled show. (See the Scheduled Show Information above for details on each of the shows parameters.) If the show is to be added with the current settings, double clicking on the show will add it to the Facility Schedule.

Editing Scheduled Show Information

The information for the shows already scheduled can be easily changed. The start time and show length can be changed by dragging the scheduled show with the mouse. All other show information must be changed in the Show Schedule Tools window.

    Start Time

    To change the start time with the mouse, click on the scheduled show with the left mouse button and hold the button while dragging the mouse. The start time of the show will be updated on both the Facility Schedule editor and the Show Schedule Tools window as the show start time is dragged. If the start time is dragged to a different day and the new day already contains ten scheduled shows, a message box will be displayed describing the problem and the scheduled show will be returned to it's previously scheduled start time.

    Also, start times cannot be copied to days that are set as copies of another day in the Show Schedule Tools window. If a scheduled shows start time is dragged to a day set as a copy, the mouse pointer will change to a NO DROP icon. If the scheduled show is dropped at the invalid start time, the scheduled show will be returned to it's previously scheduled start time.

    To change the scheduled show's start time using the Show Schedule Tools window, select the scheduled show to be changed. The show's information will be displayed in the Show Schedule Tools window. Change the show's start time. The new start time will automatically be updated on the Facility Schedule editor.

    Program Number

    The program number can only be changed using the Show Schedule Tools window. Select the scheduled show to be changed. The show's information will be displayed in the Show Schedule Tools window. Change the program number. The new program number will automatically be updated on the Facility Schedule editor.

    Show Title

    The show title can only be changed using the Show Schedule Tools window. Select the scheduled show to be changed. The show's information will be displayed in the Show Schedule Tools window. Change the show title. The new show title will automatically be updated on the Facility Schedule editor.

    Length

    The show length can only be changed with the mouse if it is not currently set to zero. To change the start time with the mouse, click on the left or right edge of the scheduled show and drag the start or end time to the desired time. The length of the show will be updated on the Show Schedule Tools window as the show length is dragged.

    To change the show using the Show Schedule Tools window, select the scheduled show to be changed. The show's information will be displayed in the Show Schedule Tools window. Change the show's length. The new length will automatically be updated on the Facility Schedule editor.

Copying Schedules

Schedules can easily be copied between houses. First, select the house where the schedule is to be copied from by clicking the left mouse button anywhere in the row of the desired house. Copy the schedule by selecting the 'Edit/Copy Schedule' menu item or by pressing Ctrl-C on the keyboard. The schedule is copied to the CineSuite Manager clipboard.

The copied schedule can now be pasted in any house in the Facility Schedule or in a Show Schedule. Select the house where the schedule is to be pasted by clicking the left mouse button anywhere in the row of the desired house. Paste the schedule by selecting 'Edit/Paste Schedule' menu item or by pressing Ctrl-V on the keyboard. The pasted schedule will replace the old schedule for the selected house.

The copied schedule can also be pasted into a Show Schedule. Open a new Show Schedule using the menu items and select the 'Edit/Paste Schedule' menu item or press Ctrl-V on the keyboard. The schedule will be pasted into the new Show Schedule.

While the Facility Schedule Editor allows the user to create and edit a show schedules for an entire facility, the Show Schedule Editor allows the user to create and edit shows for a single automation. This will allow show schedule editing without having to upload and download the schedules from all the automations.


Show Schedule Tools Window

The Show Schedule Tools window is used in conjunction with the Show Schedule editor or the Facility Schedule editor. The Show Schedule Tools is used to edit scheduled show information. The Show Schedule Tools window also contains the schedule editor window's display and copy settings along with the mouse pointer day and time.

The Show Schedule Tools window can be displayed by selecting the 'View/Schedule Tools' menu item or by double clicking on any scheduled show on any schedule editor.

Mouse Pointer Position

The Mouse Pointer Position fields display the current mouse pointer position over the Show Schedule or Facility Schedule editor windows. If a scheduled shows start time is being dragged, the Pointer Time and Pointer Day is the start time and day of the dragged show and not the mouse pointer position.

Schedule Settings

The Schedule Settings fields of the Show Schedule Tools window controls how the Show Schedule and Facility Schedule editors display and allow the user to edit the scheduled shows.

    Visible Hours

    The Visible Hours field controls how may hours are displayed on the schedule editor. Selecting a smaller number of visible hours has the effect of 'zooming' in on the schedule.

    The Visible Hours can be selected from the drop down list or a number can be entered manually. The minimum number of visible hours is one hour. The maximum number of visible hours is 24 hours. Fractional hours cannot be entered. The number will be rounded to the nearest full hour.

    Changing the visible hours will only affect the currently active schedule editor.

    Day Copies

    Using Day Copies makes it easy to create a weeks schedule if the daily schedule is the same. By setting some days as copies of other days, shows edited or added to the source days will also be also be added or edited to the other days.

    The Day Copies fields will show the current settings for a Show Schedule editor if it is active. If a Facility Schedule editor is active, the Day Copies displayed will be for the currently selected house. Selecting a different house or a different Show Schedule editor will update the Day Copies with the new settings.

    To make a day the copy of another day, set to destination days Same As drop down list selection to the day it is to be a copy of. The destination day on the active schedule editor will be changed to exactly match the source day. Days to be copies do not all have to refer to the same source day. Saturday can be the same as Friday and Thursday can be the same as Monday or Tuesday or Wednesday, etc.

    Day Copies cannot be circular. Friday cannot be set to the same as Saturday if Saturday is set to same as Friday. This applies no matter how many 'same-as' days are selected between the source and destination days. This means that at least one day must be set to None. A message box will be displayed showing the problem if a selection is circular.

    Keep in mind that if a day is set to 'same-as' another day, the user will not be able to make changes to the destination day on the schedule editor. The user will have to make changes on the source day or set the 'same-as' day to None.

Presentation Information

The Presentation Information fields show the information for the selected show. This information can be edited and the new information will be updated on the schedule editor. This is where the show title and length can be edited.

    Presentation Name

    The Presentation Name is the show title. This field is limited to 14 characters (including spaces). The show title is displayed on the CNA Monitor when the show is running.

    Prog

    The CNA automations can hold nine programs. These programs control the lights, sound, lens, etc. that are selected when the show is run. When setting up a show schedule, the program number to be run for each start time must be selected. The scheduled show's program number will then be selected on the CNA-200 automation when the show is started using Clock Start mode.

    To assist in creating show schedules, each program number is represented by a different color on the schedule editors.

    Start Time

    The Start Time is obviously the time the show is to start. Any changes to the start time on the Show Schedule Tools window will change the start time for the currently selected show on the schedule editor. The start time can be displayed in 12 hour or 24 hour format as set in preferences.

    Length

    The Length of the show is optional. It is provided to assist the user in setting up and maintaining the show schedule. The CNA automation does not use the length information in the show schedule. The show length is entered in minutes.

    Each scheduled show is displayed as either a colored rectangle or a colored triangle. When a show length is entered for the show, the scheduled show is displayed as a colored rectangle. The length of the rectangle is determined by the length of the show. When a show length is zero, the scheduled show is displayed as a colored triangle.

    CNA Program Formats

    The CNA Program Formats field provides a small amount of information the user can use to help determine which program number to use for the show. This information is edited using the CNA Program Formats window. The information that appears in this field is determined by the selected program number. When a program number is entered, the text associated with that program number is displayed. Information such as cues, lens formats and sound formats can be used to determine the program number to use for a show.


CNA Program Formats

The CNA Program Formats window allows the user to enter a small amount of information to help determine which program number to use for shows in a schedule. Information such as cues, lens formats and sound formats can be used to determine what program number to use.

Enter the text for each program number. The text entered will then be displayed in the CNA Program Formats field of the Show Schedule Tools window when a program number is entered.

The CNA Program Formats text is saved locally. The text is not linked to any CineSuite client on the network so changes to the information will only affect the CineSuite Manager being used.

Set From Automation

If the programs have already been entered into a CNA automation, the programs from the automation can be used to create a small description of the programs. Clicking on the Set From Automation button will display the Select CNA Device window.

This window will display all the CNA-200 automations connected to the default CineNet Driver. Select the CNA Automation where the programs to be loader are located. If the CNA programs are on an automation connected to another CineNet Driver, click on the Go To Network button and select the automation on the network.

When the CNA-200 has been selected, the CineSuite Manager will load all the programs from the automation and insert a small description of each program into each field of the CNA Program Formats window. The CineSuite Manager will determine the number of cues and the lens format for each cue to create the description.


CNA Monitor Settings

The CNA Monitor Settings window allows the user to customize the display of information on the CNA Monitor window. This window is displayed by selecting the 'Monitors/CNA Monitor Settings' menu item.

Available Columns

The Available Columns list shows all defined types of information the CNA Monitor can display that are not currently selected.

Visible Columns

The Visible Columns list shows all defined types of information the CNA Monitor will display. To remove item(s) from the Visible Columns list, double click on the item(s) or select the item(s) and click on the Remove button. To add item(s) to the Visible Columns list, double click on the item to be moved in the Available Columns list or select the item(s) to me moved in the Available Columns list and click on the Add button.

The Visible Columns list also shows the order in which the columns will be displayed on the CNA Monitor window. The lowered numbered items are always displayed to the left of the higher numbered items. This order cannot be changed

The CNA Monitor settings apply to all CNA Monitors. CNA Monitor settings cannot be changed for each window individually.

Defined Columns

All the defined columns and the information they display is described below.

  • 01 House ID - Displays the Automation ID (usually the House ID)
  • 02 Device Type - Displays the Device Type (CNA-100, CNA-150, CNA-200)
  • 03 Feature Title* - Display the current show title if the show is in progress or the next show title if between shows.
  • 04 Next Show* - The time the next show is to start. As soon as the displayed Next Show starts, the time is updated to the following show.
  • 05 Start Mode - Displays the start mode of the automation (Manual, Timed, Clock)
  • 06 Time to Start* - Displays the amount of time until the next movie starts in minutes and seconds. The Time to Start is only shown between movies when the Time to Start is less than 3 hours otherwise nothing is displayed.
  • 07 Current Status - Current status of the automations program (Running, Stopped, Intermission, Fault).
  • 08 Program Number - Current program number the automation is running or will run for the next show.
  • 09 Next Cue - The next cue number the automation is waiting for.
  • 10 Learning Cues - Displays 'Yes' if automation is set to learn cues for the current or next movie.
  • 11 Sync Loop - Displays the sync loop number. If the automation is not running in sync, no information is displayed.
  • 12 Run Hours - Current run hours of the automation.
  • 13 Maint A Hours - Current Maint A run hours. (Hours since Maint A reset)
  • 14 Maint B Hours - Current Maint B run hours. (Hours since Maint B reset)
  • 15 Maint C Hours - Current Maint C run hours. (Hours since Maint C reset)
  • 16 Maint D Hours - Current Maint D run hours. (Hours since Maint D reset)
  • 17 Detailed Information - Displays any fault or warning conditions. Critical show stopping fault messages are displayed highlighted in red. Warning messages are displayed highlighted in yellow. Up to four messages can be displayed for each automation. If more than four warnings are present, the most important messages are displayed first.

* = This information is gathered from the show schedule file. If show schedules are not saved to the automations, invalid information may be displayed for these items.


Paging

The Paging section of the manual is not yet completed but below are a few screen shots to give you an idea of what the paging system entails.


Show Log

The Show Log section of the help system is not yet complete but below are some screen shots to give you and idea of what the Show Log can do.


Flash Upgrade

Warning: Use caution when upgrading CNA device software. If the device upgrade is not performed properly or if there are problems, the device may loose functionality.

The CineSuite Manager gives the ability to upgrade the CNA device software through the network connection. This give the user the ability to easily upgrade to the latest version of software to incorporate the latest features.

The Device Flash Upgrade window is displayed be selecting the 'File/Advanced/Device Flash Upgrade' menu item. This will first display a warning window so the user knows the magnitude of what their doing.

Select Yes to continue with the flash upgrade. Selecting No or Cancel will abort and close the warning without displaying the Device Flash Upgrade window.

Device Flash Upgrade Basics

In order to upgrade the software in a CNA device, the software installed in the unit must be a recent enough version and contain a CNA Bootloader application. This is because in order to do the flash upgrade, the Bootloader application will be started in the CNA device. The Bootloader will then handle the uploading of data from the network and writing the data to it's memory. The original CNA application is written over. After the upgrade is complete, the Bootloader is signaled to start the CNA application. The CNA application is started with the new software. Because the Bootloader does the actual uploading, the software installed in the device to be upgraded requires it's presence. If the software in the CNA device does not have the Bootloader, upgrading will require removing the flash chips and replacing them with the newer version.

When the Device Flash Upgrade window is displayed, the CineSuite Manager will request Bootloader information from all the devices connected to the network. If the device does not have a Bootloader to perform a remote upgrade, it will be indicated next to the device.

CineNet Driver

This section displays the name of the currently selected CineNet Driver. The Available Flash Files and CNA devices displayed will all be reported by the selected CineNet Driver. If the flash upgrade is to be performed on CNA devices connected to a different CineNet Driver, click on the Select button. This will display the Select CineNet Driver window. When the new CineNet Driver is selected, the Available Flash Files and CNA devices will be updated. (see Default CineNet Driver for information on selecting a CineNet Driver.)

Available Flash Files

This section displays all the CNA files available on the selected CineNet Driver that are available to upgrade the flash. These files are stored local to the CineNet Driver. If any files are displayed, it typically means the Device Flash Upgrade window used those files previously to upgrade a CNA device connected to the network.

Each file is displayed with it's file size and approximate time required to upgrade the flash on a single CNA device.

    Select Local File

    If the desired file is not in the list and a copy of the file is available on disk, click on the Select Local File button. Select the flash upgrade file to use. The selected file will be added to the list with the word "(local)" after it's filename. The CineSuite Manager does not check the file to see if it is a valid flash upgrade file. Make sure the selected file is a valid flash upgrade file.

    From the list of available files, select the file to be used to upgrade the CNA devices. The Device Flash Upgrade does not check the file to make sure it is compatible with the destination device. Make sure the file to be used for the upgrade is the correct file for the CNA device to be upgraded. The CNA device will not be damaged by using an incorrect file but the device will not operate properly until a valid upgrade file is loaded.

    When the flash upgrade is started, if the selected file is a local file, the file will first be uploaded to the CineNet Driver. The file will be saved on the computer the CineNet Driver is running on and will be displayed as an Available Flash File whenever that CineNet Driver is selected as the destination CineNet Driver.

    Delete

    In order to manage the Available Flash Files list, a Delete button is provided. To delete a file from the CineNet Drivers list of Available Flash Files, select the file to be deleted and click the Delete button. Only files already saved on the CineNet Driver computer can be deleted. If a local file is in the Available Flash Files list, it will not be uploaded to the CineNet Driver unless the file is selected and a flash upgrade is performed using that file.

Destination House IDs

The Destination House IDs section displays all the available CNA devices connected to the selected CineNet Driver. When the Device Flash Upgrade window is displayed or if a different CineNet Driver is selected, this window is cleared and populated with the CNA devices. It may take a few seconds to display all the CNA devices connected to the selected CineNet Driver because all the information must first be requested from the CineNet Driver. Also, each device on the network is sent a request for Bootlaoder information. On a large network (30 houses) that means at least 30 requests for just the automations plus a request for each LIN device (at least 30 but likely more).

After all the CNA device information has been received, the Destination House IDs will display each device (including the LIN devices) and indicate which devices do not have a Bootloader application. Only CNA devices with a Bootloader can be selected in this window.

If a device is running it's normal application, the type of device will be displayed next to it's ID number. When the Bootloader is running for a CNA device, the name Bootloader will be displayed next to the device. When the Bootloader is running on a CNA automation, LIN communication will be lost. When the Bootloader is running on the VNC, LSN communication will be lost.

Multiple files can also be selected by holding the mouse button and dragging the mouse over the files to be selected. Multiple selected files can also be un-selected by holding the mouse button and dragging the mouse over the files to be un-selected.

    Start Boot

    If a CNA device is selected that has a Bootloader, this button will be enabled. Clicking on this button will cause the CineSuite Manager to send a request to each selected device to stop running it's standard application and start the Bootloader application. (This is generally for testing purposes. When upgrading the flash, use the Start Flash button. The Flash Upgrade process will handle all operations necessary to completely upgrade the flash and return the CNA device to full operating condition.)

    Start RTOS - Start Real Time Operating System.

    This button will be enabled if a CNA device is selected. Clicking on this button will cause the CineSuite Manager to send a request to each selected CNA device to stop running it's Bootloader and start running it's standard application. (This is generally for testing purposes. When upgrading the flash, use the Start Flash button. The Flash Upgrade process will handle all operations necessary to completely upgrade the flash and return the CNA device to full operating condition.)

    Clear Log

    As each operation is performed on the Device Flash Upgrade window, the status of each operation is displayed. After all operations are complete, the information will be displayed until the Clear Log button is clicked. The user will also not be able to make any changes to the selections until the log is cleared.

    Flash Details

    To get detailed flash info such as version information, checksum, etc. right click on the CNA device desired and select the Flash Details menu item. This will display the Device Flash Details window.

Status

The Status section displays current flash upgrade information. When a CNA device us being upgraded, the progress bar will indicate the amount complete. Also, the text above the progress bar will show the current ID in progress and the estimated time for completion.

    Start Flash

    When a source file and destination CNA device have been selected, this button will be enabled. Clicking the button will start the flash upgrade process.

    If the file selected is a local file, the file will first be uploaded to the CineNet Driver. The progress of the upload will be displayed on the progress bar.

    The CineSuite Manager will try to start the Bootloader application for the first CNA Device selected. If the Bootloader cannot be started, a message box will be displayed indicating the problem. Also, the selected device will be highlighted in red and the problem will be logged in the Destination House IDs window.

    Next, the CineSuite Manager will try upload the new flash upgrade to the automation. The progress of the upgrade will be displayed on the progress bar. The actual upgrade is occurring completely at the CineNet Driver. The CineSuite Manager is only receiving the status of the upgrade from the CineNet Driver. If a problem occurs with the connection between the CineSuite Manager and the CineNet Driver, the CineNet Driver will complete the upgrade on it's own although the RTOS will not be started automatically and other selected CNA devices will not be upgraded unless the connection is re-established.

    After the upgrade is complete, the CineSuite Manager will restart the standard application.

    The CineSuite Manager will continue the process until all selected CNA devices have received the upgrade or reported and error

    Cancel

    This button will be enabled after the Start Flash button is clicked. Clicking this button will cancel the upload of a local file if in progress or the flash upgrade currently in progress. Any CNA devices upgraded before the Cancel button was clicked will retain the new software. If a CNA device is in the process of an upgrade and the Cancel button is clicked, that device will no longer operate until a flash upgrade is completed.


Device Flash Details

The Device Flash Details window displays status information about a selected CNA device including the RTOS and Bootloader version and checksum. The window is displayed by right clicking on a Destination Device in the Device Flash Upgrade window and selecting the Flash Details menu item.

LSN ID

This is the LSN of the device on the LSN network. When displaying information about a device on the LIN network, this ID is the LSN ID of the CNA automation the LIN device is connected to.

LIN ID

This is the LIN of the device. When displaying information about an LSN device, this ID will be zero.

Hardware Flags

Displays information about hardware connected to the device. Currently, the only reported hardware flags are the CNA front panels that the CNA main CPU is plugged into.

Application

The information in this section applies to the device's standard application (RTOS).

    Application Name

    The software type that will normally be running on this device. A software type listed does not necessarily mean the software was installed correctly and is operational. The App Valid field will indicate if the installed software is operational.

    Version

    The version of the currently installed software.

    Checksum

    This is the software checksum. All the data used to make the program is added and the total is the checksum. This number can be checked to help ensure the data for the current version is valid.

    App Valid

    This field will have a Yes or No entry. If No is displayed, the background will be red. The RTOS installed is not valid and will not operate. An RTOS must be installed for the device to operate correctly.

    App Running

    This field will have a Yes or No entry. If Yes is displayed, the background will be green. This indicates that the RTOS is currently running in the device and the Bootloader is not.

    App Busy

    This field will have a Yes or No entry. If Yes is displayed, the background will be yellow. The current device is running a program and the device will not allow a flash upgrade.

Bootloader

Information in this section applies to the device's Bootloader application.

    Bootloader Name

    The type of booloader software installed in the selected device.

    Version

    The version of Bootloader currently installed. The Bootloader can not be upgraded through the network. The only way to upgrade the Bootloader is by physically replacing the flash chips although upgrading the Bootloader should never be required.

    Checksum

    The Bootloader software checksum.

    Force Boot

    This field will have a Yes or No entry. If Yes is displayed, the background will be red. A Yes entry means that the device has a dip switch or jumper set to start in Bootloader on power up rather than the RTOS. This might be necessary if the RTOS was not updated correctly and the power was turned off and back on. The only way to upgrade the software would be to manually force the device into the Bootloader.

    Running

    This field will have a Yes or No entry. If Yes is displayed, the background will be green. This indicates that the Bootloader is currently running in the device and the RTOS is not.


Program Instruction

Program Instructions

Whenever a new CNA-100/150 or CNA-200 program edit window is opened, the Program Instructions window is displayed. This window contains a list of all the available program instructions for the currently selected edit window.

If the window is closed, it can be displayed again by clicking in the Instructions column on a CNA-100/150 program edit window, CNA-200 program edit window or by selecting the 'View/Program Instructions' menu item. (The View/Program Instructions' menu item is only enabled when the current edit window is a CNA-100/150 edit window or CNA-200 edit window.)

Instructions are inserted into the program by double-clicking an instruction or by selecting the instruction and clicking on the Add button.

CNA-200 Instructions | CNA-100/150 Instructions